	class uns_bar_base: Uns_LMG
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M-1918 BAR";
		model = "\uns_weap_w\bar\uns_m1918a2_bar";
		picture = "\uns_weap_w\bar\ico\w_bar.paa";
		UiPicture = "\uns_men_c\icon\UStroops\i_mg_CA.paa";
//		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\M24.rtm"};
//		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\m870\shotgun_pump.rtm"};
//		reloadaction = "HLC_GestureReloadm14";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bar\BAR.rtm"};
		reloadAction = "HLC_GestureReloadFALLONG";
		magazineReloadSwitchPhase = 0.5;
		recoil = "uns_recoil_m16";
//		recoil = "uns_recoil_BAR";
		dexterity = 1.21;
		magazineReloadTime = 3.6;
		inertia = 0.8;
		maxRecoilSway = 0.02;
		swayDecaySpeed = 2;
		initSpeed = 860;
		magazines[] = {"uns_barmag","uns_barmag_T","uns_barmag_NT"};
		descriptionShort = "M-1918 Browning Automatic Rifle (BAR), 20 round mags, bipod and two rates of automatic fire";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		class WeaponSlotsInfo
		{
			mass = 160;
			class MuzzleSlot{};
			class CowsSlot{};
			class PointerSlot{};
			class UnderBarrelSlot{};
		};
//optics
		cameradir = "aim_point";
		discreteDistanceCameraPoint[]={"eye","eye2","eye3","eye4","eye5","eye6","eye7","eye8","eye9","eye10"};
		discretedistance[] = {100,200,300,400,500,600,700,800,900,1000};
		discretedistanceinitindex = 0;
		distanceZoomMin = 100;
		distanceZoomMax = 1100;
		opticsZoomMin = 0.25;
		opticsZoomMax = 1.25;
		opticsZoomInit = 0.75;
//bipod
		hasBipod = 1;
		deployedpivot = "deploypivot";
		soundBipodDown[] = { "A3\Sounds_F_Mark\arsenal\sfx\bipods\Bipod_AAF_down", db - 3, 1, 20 };
		soundBipodUp[] = { "A3\Sounds_F_Mark\arsenal\sfx\bipods\Bipod_AAF_up", db - 3, 1, 20 };
	//mods
		AGM_Overheating_Dispersion[] = {0,-0.001,0.001,0.003};
		AGM_Overheating_SlowdownFactor[] = {1,1,1,0.9};
		AGM_Overheating_JamChance[] = {0,0.0003,0.0015,0.0075};
		agm_bipod = 1;
		AGM_Overheating_allowSwapBarrel = 1;
		AB_barrelTwist=12;
		AB_barrelLength=22;
		ACE_barrelTwist = 304.8;
		ACE_barrelLength = 558.8;
		tmr_autorest_deployable = 1;
		bg_bipod = 1;
		cse_bipod = 1;
		//sounds
		drySound[] = {"\uns_weap_s\bar\bar_dry",1,1,10};
		reloadMagazineSound[] = {"\uns_weap_s\bar\bar_reload",1,1,20};
		modes[] = {"Slow","Fast","AImode1","AImode2","AImode3","AImode4","AImode5"};
		class Slow: manual
		{
			sounds[] = {"StandardSound"};
			class StandardSound: StandardSound
			{
				soundsetshot[] = {"BAR_Shot_SoundSet","BAR_tail_SoundSet"}; 
			};
			textureType = "burst";
			//300rpm PLEASE LEAVE THIS - change the sound, not the ROF
			reloadTime = 0.2; //0.12;
			dispersion = 0.00125;
			soundBurst = 0;
			ffCount = 1;
			recoil = "recoil_single_primary_6outof10";
			recoilProne = "recoil_single_primary_prone_4outof10";
			minRange = 2;
			minRangeProbab = 0.5;
			midRange = 150;
			midRangeProbab = 0.7;
			maxRange = 300;
			maxRangeProbab = 0.2;
		};
		class Fast: manual
		{
			sounds[] = {"StandardSound"};
			class StandardSound: StandardSound
			{
				soundsetshot[] = {"BAR_Shot_SoundSet","BAR_tail_SoundSet"};
			};
			textureType = "fullAuto";
			//600rpm need new sound sample speed?
			reloadTime = 0.1; //0.11;
			aiRateOfFire = 0;
			dispersion = 0.002;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_4outof10";
			minRange = 2;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
		};
		class AImode1: Fast
		{
			soundBurst = 0;
			burst = 7;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 30;
			midRangeProbab = 0.6;
			maxRange = 50;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 500;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 4;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 50;
			midRangeProbab = 0.6;
			maxRange = 200;
			maxRangeProbab = 0.1;
			aiRateOfFire = 2.3;
			aiRateOfFireDistance = 500;
			showToPlayer = 0;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 3;
			minRange = 0.1;
			minRangeProbab = 0.3;
			midRange = 100;
			midRangeProbab = 0.6;
			maxRange = 200;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1.5;
			aiRateOfFireDistance = 500;
			showToPlayer = 0;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 6;
			minRange = 0.1;
			minRangeProbab = 0.4;
			midRange = 110;
			midRangeProbab = 0.6;
			maxRange = 200;
			maxRangeProbab = 0.1;
			aiRateOfFire = 2.5;
			aiRateOfFireDistance = 500;
			showToPlayer = 0;
		};
		class AImode5: AImode1
		{
			soundBurst = 0;
			burst = 1;
			minRange = 200;
			minRangeProbab = 0.2;
			midRange = 350;
			midRangeProbab = 0.5;
			maxRange = 500;
			maxRangeProbab = 0.1;
			aiRateOfFire = 2.9;
			aiRateOfFireDistance = 500;
			showToPlayer = 0;
		};
	};
	class uns_bar: uns_bar_base
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M-1918 BAR (Bipod)";
	};