	class uns_m1garand: uns_rifle762
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M1 Garand";
		model = "\uns_weap_w\m1garand\uns_m1garand";
		picture = "\uns_weap_w\m1garand\ico\w_m1garand.paa";
		descriptionShort = "M1 Garand Rifle";
		magazines[] = {"uns_m1garandmag","uns_m1garandmag_T"};
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\M24.rtm"};
		reloadAction = "uns_GestureReloadM1garand";
		magazineReloadTime = 5;
		recoil = "uns_recoil_m14";
		initSpeed = 800;
		inertia = 0.4;
		dexterity = 1.6;
		distanceZoomMin = 50;
		distanceZoomMax = 50;
		weaponInfoType = "vn_melee_zeroing_overwrite";
		vn_melee_bayonet_startpos[] = {-0.03,0.3,-0.02};

		class WeaponSlotsInfo
		{
			mass = 120;
			class MuzzleSlot;
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {"uns_o_M84"};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"uns_b_m1"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
		//sounds to do
		drySound[] = {"\uns_weap_s\m1garand\m1garand_dry",1,1,10};
		reloadMagazineSound[] = {"\uns_weap_s\m1garand\m1reload",1,1,25};
		modes[] = {"Single","AImode1","AImode2"};
		class Single: Single
		{
			sounds[] = {"StandardSound"};			
			class StandardSound
			{
				soundsetshot[] = {"M1_Shot_SoundSet","M1_tail_SoundSet"}; 
			};
			reloadTime = 0.1;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			dispersion = 0.0007;
			minRange = 0;
			minRangeProbab = 0.001;
			midRange = 0;
			midRangeProbab = 0.001;
			maxRange = 0;
			maxRangeProbab = 0.001;
			aiRateOfFire = 0;
		};
		class AImode1: Single
		{
			reloadTime = 2.2;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.012;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 30;
			midRangeProbab = 0.7;
			maxRange = 70;
			maxRangeProbab = 0.2;
			showToPlayer = 0;
			aiRateOfFire = 1.5;
			aiRateOfFireDistance = 60;
		};
		class AImode2: AImode1
		{
			reloadTime = 2.2;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			burst = 1;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.012;
			minRange = 50;
			minRangeProbab = 0.5;
			midRange = 250;
			midRangeProbab = 0.7;
			maxRange = 500;
			maxRangeProbab = 0.2;
			aiRateOfFire = 9;
			showToPlayer = 0;
			aiRateOfFireDistance = 180;
		};
		class EventHandlers: EventHandlers
		{
			class unsung
			{
				fired = "[(_this select 0), 'uns_m1_ping'] spawn uns_weap_fnc_m1ping";
			};
		};
	};
	class uns_m1garands: uns_m1garand
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M1 Garand (Sniper)";
		picture = "\uns_weap_w\m1garand\ico\w_m1garand_m84.paa";
		descriptionShort = "M1 Garand Rifle, with M84 2.2x Scope";
		UiPicture = "\uns_men_c\icon\UStroops\i_sniper_CA.paa";
		aiRateOfFire = 6;
		aiRateOfFireDistance = 800;
		class LinkedItems
		{
			class LinkedItemsOptic
			{
				slot = "CowsSlot";
				item = "uns_o_M84";
			};
		};
	};
	class uns_m1garandbayo: uns_m1garand
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M1 Garand (Bayonet)";
		picture = "\uns_weap_w\m1garand\ico\w_m1garand_bayo.paa";
		descriptionShort = "M1 Garand Rifle. M1 Bayonet equipped.";
		vn_melee_bayonet_attached[] = {1};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_m1";
			};
		};
	};
	class uns_m1garand_gl: uns_m1garand
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M1 Garand (Rifle Grenade)";
		picture = "\uns_weap_w\m1garand\ico\w_m1garand_gl.paa";
		descriptionShort = "M1 Garand fitted with a 22mm Rifle Grenade.";
		model = "\uns_weap_w\m1garand\uns_m1garand_gl";
		muzzles[] = {"this","uns_22mm_gl_muzzle_m1"};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 140;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
			};
		};
	};
	class vn_m63a: vn_rifle {};
	class uns_m63a_base: vn_m63a
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Stoner M63a (base)";
		model = "\uns_weap_w\uns_m63a_stoner\uns_m63a_drum";
		picture = "\uns_weap_w\uns_m63a_stoner\ico\w_m63a_drum.paa";
		UiPicture = "\uns_men_c\icon\UStroops\i_mg_CA.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\m16\m16_handguard.rtm"};
		magazines[] = {"uns_m63amag"};
		descriptionShort = "M63a Stoner MG, 150 round drum";
		dexterity = 1.21;
		magazineReloadTime = 3.6;
		inertia = 0.4;
		initSpeed = 975;
		discreteDistance[] = {100,200,300,400,500,600,700,800};
		discreteDistanceInitIndex = 0;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.0,0.45};
				iconScale = 0.2;
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
			class UnderBarrelSlot
			{
				compatibleItems[] = {"uns_bp_M63A"};
				iconPosition[] = {0.2, 0.7};
				iconScale = 0.2;
			};
		};
//sounds
/*		drySound[] = {"\uns_weap_s\M63A\m63_dry",1,1,10};
		reloadMagazineSound[] = {"\uns_weap_s\m63a\m63_reload",1,1,25};
		modes[] = {"FullAuto","Single","AImode1","AImode2","AImode3","AImode4"};
		class Single: Single
		{

			soundBurst = 0;
			reloadTime = 0.065;
			dispersion = 0.0013;
			recoil = "recoil_single_mk20";
			recoilProne = "recoil_single_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.5;
			midRange = 150;
			midRangeProbab = 0.7;
			maxRange = 300;
			maxRangeProbab = 0.2;
		};
		class FullAuto: FullAuto
		{

			reloadTime = 0.065;
			recoil = "recoil_auto_mk20";
			recoilProne = "recoil_auto_prone_mk20";
			dispersion = 0.0015;
			soundContinuous = 0;
			soundBurst = 0;
			showToPlayer = 1;
			minRange = 2;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1e-006;
		};
		class AImode1: FullAuto
		{
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 30;
			midRangeProbab = 0.8;
			maxRange = 60;
			maxRangeProbab = 0.7;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 60;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 6;
			minRange = 50;
			minRangeProbab = 0.2;
			midRange = 120;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 90;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 8;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 160;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 2.1;
			aiRateOfFireDistance = 170;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 10;
			minRange = 50;
			minRangeProbab = 0.1;
			midRange = 160;
			midRangeProbab = 0.3;
			maxRange = 400;
			maxRangeProbab = 0.01;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 300;
		};*/
	};

	class uns_M63a_drum_base: uns_m63a_base
	{
		scope = 0; scopeArsenal = 0;
		displayName = "Stoner M63a (Commando)";
		model = "\uns_weap_w\uns_m63a_stoner\uns_m63a_drum";
		picture = "\uns_weap_w\uns_m63a_stoner\ico\w_m63a_DruM.paa";
		magazines[] = {"uns_m63amag"};
		descriptionShort = "M63a Stoner Commando MG, 150 round drum";
		class Library
		{
			libtextdesc = "Stoner M63A 5.56mm Rifle, Navy SEAL Commando version fitted with 150 round drum.";
		};
		dexterity = 1.4;
		inertia = 0.55;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 140;
			class UnderBarrelSlot: UnderBarrelSlot
			{
				compatibleItems[] = {};
			};
		};
//anims
//		magazineReloadTime = 3;
		magazineReloadTime = 4;
		magazineReloadSwitchPhase = 0.5;
		reloadaction = "HLC_GestureReloadMG42";
		handanim[] = { "OFP2_ManSkeleton", "\uns_weap_a\m63a\uns_m63a_cdo.rtm" };
//zeroing
		cameradir = "aim_point";
		discreteDistanceCameraPoint[]={"eye","eye3","eye4","eye5","eye6","eye7","eye8","eye9","eye10","eye11"};
		discretedistance[] = {100,200,300,400,500,600,700,800,900,1000};
		discretedistanceinitindex = 0;
		distanceZoomMin = 100;
		distanceZoomMax = 1100;
		opticsZoomMin = 0.25;
		opticsZoomMax = 1.25;
		opticsZoomInit = 0.75;
//bipod
		deployedPivot = "bipod";
		hasBipod = 0;
		soundBipodDown[] = {"A3\Sounds_F_Mark\arsenal\sfx\bipods\Bipod_AAF_down",db-3, 1, 20};
		soundBipodUp[]   = {"A3\Sounds_F_Mark\arsenal\sfx\bipods\Bipod_AAF_up",db-3, 1, 20};
	};
	class uns_M63a_drum: uns_M63a_drum_base {
		
		scope = 1; scopeArsenal = 1;
	};
	class uns_M63a_LMG: uns_M63a_drum_base
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Stoner M63a (LMG)";
		model = "\uns_weap_w\uns_m63a_stoner\uns_m63a_lmg";
//		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\M60E4.rtm"};
		magazines[] = {"uns_m63abox"};
		descriptionShort = "Stoner M63A 5.56mm Light Machine Gun, SF/SOG heavy version fitted with 100 round box and clip-on bipod.";
		class Library
		{
			libtextdesc = "Stoner M63A 5.56mm Light Machine Gun, SF/SOG heavy version fitted with 100 round box and clip-on bipod.";
		};
		dexterity = 1.2;
		magazineReloadTime = 5;
		inertia = 0.65;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 130;
		};
	};
	class uns_m63asupport: uns_M63a_LMG
	{
		displayName = "Stoner M63a (LMG Support)";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\m60\mg_butt.rtm"};
	};
	
// FALs
	class uns_fal_base: Uns_Rifle762 
	{
		scope = 0;
		maxZeroing = 1600;
		deployedpivot = "deploypivot";
		hasBipod = 0;
 		magazines[] = {"uns_l1a1mag","uns_l1a1mag_T","uns_l1a1mag_NT"};
		magazineReloadSwitchPhase = 0.5;
		reloadAction = "HLC_GestureReloadFALLONG";
		handanim[] = {"OFP2_ManSkeleton", "\uns_weap_t\SLR\gesture\l1a1_hands.rtm"};
		recoil = "uns_recoil_ak";
//		recoil = "recoil_ebr";
		aidispersioncoefx = 4;
		aidispersioncoefy = 6;
		distancezoommax = 300;
		distancezoommin = 300;
		opticszoominit = 0.75;
		opticszoommax = 1.1;
		opticszoommin = 0.25;
		dexterity = 1.75;
		initSpeed = 848;
		weaponInfoType = "vn_melee_zeroing_overwrite";
		vn_melee_bayonet_startpos[] = {-0.03,0.3,-0.02};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			class CowsSlot {};
			class MuzzleSlot {};
 			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"uns_b_mas49"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
		class Library
		{
			libTextDesc = "Many Australian soldiers used the SLR rifle during the Vietnam War, preferring the larger calibre weapon over the American M16 because they felt they could trust the 7.62 round to kill an enemy outright. Australian jungle warfare tactics during the Vietnam War were far more conservative than those employed by U.S. troops, and often determined by the strengths and limitations of the SLR and its heavy ammunition load. The SLR was semi-automatic only, unless battlefield modifications were made. Australian Australian Special Air Service Regiment (SASR) troops in South-East Asia undertook field modification of L1A1 and heavy barrelled L2A1 automatic rifles for better handling. Nicknamed The Bitch these rifles had their barrels cut off immediately in front of the gas block, with the L2A1 bipods removed and often an XM148 40mm grenade launcher mounted below the barrel. The lack of fully-automatic fire on the L1A1 resulted in its unofficial conversion to full-auto capability by simply filing down the selector.";
		};
//sounds
		bullet1[] = {"A3\sounds_f\weapons\shells\7_62\metal_762_01", 0.398107, 1, 15};
		bullet10[] = {"A3\sounds_f\weapons\shells\7_62\grass_762_02", 0.281838, 1, 15};
		bullet11[] = {"A3\sounds_f\weapons\shells\7_62\grass_762_03", 0.281838, 1, 15};
		bullet12[] = {"A3\sounds_f\weapons\shells\7_62\grass_762_04", 0.281838, 1, 15};
		bullet2[] = {"A3\sounds_f\weapons\shells\7_62\metal_762_02", 0.398107, 1, 15};
		bullet3[] = {"A3\sounds_f\weapons\shells\7_62\metal_762_03", 0.398107, 1, 15};
		bullet4[] = {"A3\sounds_f\weapons\shells\7_62\metal_762_04", 0.398107, 1, 15};
		bullet5[] = {"A3\sounds_f\weapons\shells\7_62\dirt_762_01", 0.281838, 1, 15};
		bullet6[] = {"A3\sounds_f\weapons\shells\7_62\dirt_762_02", 0.281838, 1, 15};
		bullet7[] = {"A3\sounds_f\weapons\shells\7_62\dirt_762_03", 0.281838, 1, 15};
		bullet8[] = {"A3\sounds_f\weapons\shells\7_62\dirt_762_04", 0.281838, 1, 15};
		bullet9[] = {"A3\sounds_f\weapons\shells\7_62\grass_762_01", 0.281838, 1, 15};
		changeFiremodeSound[] = {"uns_weap_t_s\SLR\snd\ak_selector",1,1,20};
		drySound[] = {"\uns_weap_s\l1a1\l1a1_dry",1,1,10};
		reloadmagazinesound[] = {"uns_weap_t_s\SLR\snd\sa58_reload", 0.630957, 1, 35};
		soundbullet[] = {"bullet1", 0.083, "bullet2", 0.083, "bullet3", 0.083, "bullet4", 0.083, "bullet5", 0.083, "bullet6", 0.083, "bullet7", 0.083, "bullet8", 0.083, "bullet9", 0.083, "bullet10", 0.083, "bullet11", 0.083, "bullet12", 0.083};
		modes[] = {"Single", "FullAuto", "single_close_optics1", "single_medium_optics1", "single_far_optics1", "fullauto_medium"};
		class Single : Mode_SemiAuto
		{
 			sounds[] = {"StandardSound"};
			class StandardSound
			{
				soundsetshot[] = {"SLR_Shot_SoundSet","SLR_tail_SoundSet"}; 
			};
			closure1[] = {"uns_weap_t_s\SLR\snd\fal_first", 1.12202, 1.2, 30};
			closure2[] = {"uns_weap_t_s\SLR\snd\fal_first", 1.12202, 1, 30};
			soundclosure[] = {"closure1", 0.5, "closure2", 0.5};
			dispersion = 0.0007;
			maxrange = 500;
			maxrangeprobab = 0.05;
			midrange = 350;
			midrangeprobab = 0.7;
			minrange = 2;
			minrangeprobab = 0.3;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
//			recoil = "recoil_single_ebr";
//			recoilProne = "recoil_single_prone_ebr";
			reloadtime = 0.086;
			weaponsoundeffect = "DefaultRifle";
		};
		class FullAuto: Mode_FullAuto
		{
			sounds[] = {"StandardSound"};
			class StandardSound
			{
				soundsetshot[] = {"SLR_Shot_SoundSet","SLR_tail_SoundSet"}; 
			};
			airateoffire = "1e-006";
			closure1[] = {"uns_weap_t_s\SLR\snd\fal_first", 1.12202, 1.2, 30};
			closure2[] = {"uns_weap_t_s\SLR\snd\fal_first", 1.12202, 1, 30};
			soundclosure[] = {"closure1", 0.5, "closure2", 0.5};
			dispersion = 0.0007;
			maxrange = 30;
			maxrangeprobab = 0.05;
			midrange = 15;
			midrangeprobab = 0.7;
			minrange = 0;
			minrangeprobab = 0.9;
			recoil = "recoil_auto_mk20";
			recoilProne = "recoil_auto_prone_mk20";
//			recoil = "recoil_auto_ebr";
//			recoilprone = "recoil_auto_prone_ebr";
			reloadtime = 0.086;
			weaponsoundeffect = "DefaultRifle";
		};
		class single_close_optics1 : Single
		{
			airateoffire = 2;
			airateoffiredistance = 300;
			maxrange = 500;
			maxrangeprobab = 0.01;
			midrange = 300;
			midrangeprobab = 0.8;
			minrange = 2;
			minrangeprobab = 0.05;
			requiredoptictype = 1;
			showtoplayer = 0;
		};
		class single_medium_optics1 : single_close_optics1
		{
			airateoffire = 2;
			airateoffiredistance = 500;
			maxrange = 700;
			maxrangeprobab = 0.05;
			midrange = 500;
			midrangeprobab = 0.7;
			minrange = 300;
			minrangeprobab = 0.05;
		};
		class single_far_optics1 : single_medium_optics1
		{
			airateoffire = 4;
			airateoffiredistance = 600;
			maxrange = 900;
			maxrangeprobab = 0.05;
			midrange = 600;
			midrangeprobab = 0.4;
			minrange = 300;
			minrangeprobab = 0.05;
			requiredoptictype = 2;
		};
		class fullauto_medium : FullAuto
		{
			airateoffire = 2;
			burst = 3;
			maxrange = 100;
			maxrangeprobab = 0.05;
			midrange = 50;
			midrangeprobab = 0.7;
			minrange = 2;
			minrangeprobab = 0.5;
			showtoplayer = 0;
		};
	};
	class uns_l1a1: uns_fal_base
	{
 		scope = 1; scopeArsenal = 1;
		author = "Pete, Enron, Toadie, Clifton Vlodhammer";
		displayName = "L1A1 SLR (Lithgow)";
		model = "\uns_weap_t\SLR\SLR_lithgow\l1a1_lithgow.p3d";
		picture = "\uns_weap_w\l1a1\ico\w_l1a1.paa";
		descriptionShort = "Lithgow L1A1 SLR (Self Loading Rifle), 7.62mm, 20 round mag";
		UiPicture = "\A3\weapons_f\data\UI\icon_regular_CA.paa";
		maxZeroing = 1600;
		discretedistance[] = {100,200,300,400,500,600,700,800};
		discretedistanceinitindex = 0;
		cameradir = "look";
		discreteDistanceCameraPoint[]={"eye","eye2","eye3","eye4","eye5","eye6","eye7","eye8","eye9"}; /// the angle of gun changes with zeroing
		AB_barrelTwist=12;
		AB_barrelLength=21.7;
		ACE_barrelTwist = 304.8;
		ACE_barrelLength = 551.18;
		class WeaponSlotsInfo : WeaponSlotsInfo
		{
			mass = 86;
		};
//sounds
		reloadmagazinesound[] = {"uns_weap_t_s\SLR\snd\fal_reload", 0.630957, 1, 35};
		modes[] = {"Single", "single_close_optics1", "single_medium_optics1", "single_far_optics1"};
	};
	class uns_l1a1_bayo: uns_l1a1
	{
		displayName = "L1A1 SLR (Lithgow Bayo)";
		picture = "\uns_weap_w\l1a1\ico\w_l1a1.paa";// need new
		descriptionShort = "Lithgow L1A1 SLR (Self Loading Rifle), 7.62mm, 20 round mag, with bayonet fitted";
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_mas49";
			};
		};
	};
	class uns_l1a1_enfield: uns_l1a1
	{
		author = "Pete, Enron, Toadie, Clifton Vlodhammer";
		displayName = "L1A1 SLR (Enfield)";
		descriptionShort = "Enfield L1A1 SLR (Self Loading Rifle), 7.62mm, 20 round mag";
		model = "\uns_weap_t\SLR\L1a1\L1A1.p3d";
		discretedistance[] = {100,200,300,400,500,600,700,800,900};
	};
	class uns_l1a1_enfield_bayo: uns_l1a1_enfield
	{
		displayName = "L1A1 SLR (Enfield Bayo)";
		picture = "\uns_weap_w\l1a1\ico\w_l1a1.paa";// need new
		descriptionShort = "Enfield L1A1 SLR (Self Loading Rifle), 7.62mm, 20 round mag, with bayonet fitted";
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_mas49";
			};
		};
	};
/*	class uns_l1a1_blk: uns_fal_base
	{
 		scope = 2; scopeArsenal = 2;
		author = "Bohemia Interactive, Arby25, Toadie, Clifton Vlodhammer";
		displayName = "L1A1 SLR (Lithgow Black)";
		model = "\uns_weap_t\SLR\SLR_blk\SLR_blk.p3d";
		picture = "\uns_weap_t\SLR\ico\w_l1a1_blk.paa";
		descriptionShort = "Lithgow L1A1 SLR (Self Loading Rifle) in black, 7.62mm, 20 round mag";
		discretedistance[] = {100,200,300,400,500,600,700,800,900};
		class WeaponSlotsInfo : WeaponSlotsInfo
		{
			mass = 78;
		};
		AB_barrelTwist = 12;
		AB_barrelLength = 18;
		ACE_barrelTwist = 304.8;
		ACE_barrelLength = 457.2;
	};
	class uns_l1a1_blk_bayo: uns_l1a1_blk
	{
		displayName = "L1A1 SLR (Lithgow Black Bayo)";
		picture = "\uns_weap_t\SLR\ico\w_l1a1_blk.paa";// need new
		descriptionShort = "Lithgow L1A1 SLR (Self Loading Rifle) in black, 7.62mm, 20 round mag, with bayonet fitted";
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_mas49";
			};
		};
	};*/
	class uns_l2a1: uns_l1a1
	{
		author = "Pete, Enron, Toadie, Clifton Vlodhammer";
		displayName = "L2A1 SLR";
		model = "\uns_weap_t\SLR\SLR_GL\l2a1";
		picture = "\uns_weap_w\l1a1\ico\w_l2a1.paa";
		descriptionShort = "Lithgow L2A1 SLR (Self Loading Rifle), capable of full-auto,  used in squad support role, 7.62mm, 20 round mag";
		modes[] = {"Single", "FullAuto", "single_close_optics1", "single_medium_optics1", "single_far_optics1", "fullauto_medium"};
		discretedistance[] = {100,200,300,400,500,600,700,800,900};
		discretedistanceinitindex = 0;
		cameradir = "look";
		discreteDistanceCameraPoint[]={"eye","eye2","eye3","eye4","eye5","eye6","eye7","eye8","eye9"}; /// the angle of gun changes with zeroing
	};
	class uns_l2a1_shorty: uns_l2a1
	{
		author = "Pete, Enron, Toadie, Clifton Vlodhammer";
		displayName = "L2A1 SLR (SAS)";
		model = "\uns_weap_t\SLR\SLR_shorty\L1A1_shorty.p3d";
		picture = "\uns_weap_t\SLR\ico\gear_bitch_x_ca.paa";
		descriptionShort = "SAS modified Lithgow L2A1 SLR (Self Loading Rifle), full-auto with fore-grip and short barrel, 7.62mm, 20 round mag";
		handAnim[] = {"OFP2_ManSkeleton", "\uns_weap_t\SLR\gesture\newgesture\chopmod_hands.rtm"};
		discretedistance[] = {100,200,300,400,500,600,700,800,900};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 75;
			class PointerSlot {};
		};
		AB_barrelTwist=12;
		AB_barrelLength=18;
		ACE_barrelTwist = 304.8;
		ACE_barrelLength = 457.2;
	};
	class uns_l1a1gl: uns_l2a1
	{
		displayName = "L2A1 SLR (SAS/XM148)";
		model = "\uns_weap_t\SLR\SLR_GL\l1a1_gl";
		picture = "\uns_weap_w\l1a1\ico\w_l1a1gl.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\l1a1\l1a2_gl.rtm"};
		muzzles[] = {"this","Uns_XM148Muzzle"};
		descriptionShort = "L2A1 SLR (Self Loading Rifle), FN 7.62mm, 20 round mag, special forces version features selective fire and under-barrel XM148 40mm grenade launcher";
	};
/////////////////////////////////// ASSAULT RIFLES  //////////////////////////
	class uns_t233: Uns_Rifle
	{
		scope = 2; scopeArsenal = 2;
		author = "Krycek, Soul Slayer, HeNe, Toadie, Eggbeast";
		displayName = "H/R T223";
//		model = "\uns_weap_w\t223\uns_t223"; //vilas model
		model = "\uns_weap_t\g3\uns_hk33";
		picture = "\uns_weap_w\t223\ico\w_t223.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_t\g3\anim\hands_g3sg1.rtm"};
		reloadAction = "HLC_GestureReloadG3SG1";
		magazines[] = {"uns_40Rnd_556x45_t223","uns_40Rnd_556x45_t223_T"};
		class Library
		{
			libtextdesc = "The T223 experimental 5.56mm (.223) assault rifle was made in the early 1960s by Harrington and Richardson - essentially a line copy of the German HK33 assault rifle. The weapon is selective-fire with a muzzle velocity of 960m/s and a cyclic rate of fire of 650 to 750rpm, with a practical rate of 160rpm. Being easy to maintain and fed by 40 round magazines made it popular with SEALs field-testing it in 1965-6.";
		};
		descriptionShort = "H/R T223 5.56mm Assault Rifle. 40 round mag.";
		recoil = "recoil_trg20";
		magazineReloadTime = 3;
		inertia = 0.4;
		dexterity = 1.6;
		initSpeed = 910;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
			class MuzzleSlot {};
			class CowsSlot {};
			class PointerSlot {};
		};
		deployedpivot = "deploypivot";
		hasBipod = 0;
		discreteDistance[] = {100,200,300,400};
		cameradir = "Look";
		discreteDistanceCameraPoint[] = { "eye", "eye2", "eye3", "eye4" };

//mods
		AB_barrelTwist = 7;
		AB_barrelLength = 8.31;
		ACE_barrelTwist = 177.8;
		ACE_barrelLength = 211.074;
		agm_bipod = 0;
		cse_bipod = 0;
		bg_bipod = 0;

//sounds
		drySound[] = {"\uns_weap_s\m16\m16_dry",1,1,10};
		reloadmagazinesound[] = { "\uns_weap_t_s\g3\g41_reload", 1.0, 1, 25 };
		modes[] = {"Single","FullAuto","AImode1","AImode2","AImode3","AImode4"};
		class Single: Single
		{
			sounds[] = {"StandardSound"};			
			class StandardSound
			{
				soundsetshot[] = {"hr_Shot_SoundSet","hr_tail_SoundSet"}; 
			};
			class SilencedSound {};
			reloadTime = 0.085;
			dispersion = 0.0013;
			recoil = "recoil_single_mk20";
			recoilProne = "recoil_single_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.5;
			midRange = 150;
			midRangeProbab = 0.7;
			maxRange = 300;
			maxRangeProbab = 0.2;
		};
		class FullAuto: FullAuto
		{
			class StandardSound: StandardSound
			{
				soundsetshot[] = {"hr_Shot_SoundSet","hr_tail_SoundSet"}; 
			};
			class SilencedSound {};
			recoil = "recoil_auto_mk20";
			recoilProne = "recoil_auto_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1e-006;
			reloadTime = 0.085; //700rpm
			dispersion = 0.0013;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 30;
			midRangeProbab = 0.8;
			maxRange = 60;
			maxRangeProbab = 0.7;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 60;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 6;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 120;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 90;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 8;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 160;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 2.1;
			aiRateOfFireDistance = 170;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 10;
			reloadTime = 0.15;
			minRange = 50;
			minRangeProbab = 0.1;
			midRange = 160;
			midRangeProbab = 0.3;
			maxRange = 400;
			maxRangeProbab = 0.01;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 300;
		};
	};	
///////////////// Unsung M16 varients /////////////////////

	class uns_m16: Uns_Rifle
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M16";
		model = "\uns_weap_w\m16\uns_xm16e1";
		picture = "\uns_weap_w\m16\ico\w_m16.paa";
		hiddenselections[] = {"camo1"};
		hiddenSelectionsTextures[] = {"\uns_weap_w\m16\data\xm16e1_co.paa"};
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\m16\m16_handguard.rtm"};
		reloadAction = "HLC_GestureReloadAR15_catch_WS";
		magazines[] = {"uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag_T","uns_20Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag","uns_30Rnd_556x45_Stanag_T","uns_30Rnd_556x45_Stanag_NT","uns_40Rnd_556x45_Stanag","uns_40Rnd_556x45_Stanag_T","uns_40Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag_xm177","uns_30Rnd_556x45_Stanag_xm177_T","uns_30Rnd_556x45_Stanag_xm177_NT"};
		class Library
		{
			libtextdesc = "M16 (more formally United States Rifle, Caliber 5.56 mm, M16) is the U.S. military designation for a family of rifles derived from the ArmaLite AR-15 and further developed by Colt starting in the mid-20th century. The M16 rifle family has been the primary infantry rifle of the United States military since the 1960s. It is the most produced firearm in its calibre. The M16 entered Army service in 1964.";
		};
		descriptionShort = "M16 5.56mm Assault Rifle. 20 round mag.";
		magazineReloadSwitchPhase = 0.3;
		magazineReloadTime = 4;
		inertia = 0.4;
		dexterity = 1.6;
		initSpeed = 975;
		recoil = "uns_recoil_m16";
		maxRecoilSway = 0.0125;
		swayDecaySpeed = 1.25;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 80;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {"uns_s_M16"};
				iconPosition[] = {0.0,0.45};
				iconScale = 0.2;
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {"uns_o_colt4x","uns_o_LeatherwoodART_m16","uns_o_ANPVS2_M16"};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"uns_b_m7"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
//sounds
		drySound[] = {"\uns_weap_s\m16\m16_dry",1,1,10};
		reloadMagazineSound[] = {"\uns_weap_s\m16\m16_reload",1,1,25};
		modes[] = {"Single","FullAuto","AImode1","AImode2","AImode3","AImode4"};
		class Single: Single
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\m16\m16_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\m16\m16_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\m16\m16_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin2[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin3[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			reloadTime = 0.03;
			dispersion = 0.0013;
			recoil = "recoil_single_mk20";
			recoilProne = "recoil_single_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.5;
			midRange = 150;
			midRangeProbab = 0.7;
			maxRange = 300;
			maxRangeProbab = 0.2;
		};
		class FullAuto: FullAuto
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\m16\m16_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\m16\m16_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\m16\m16_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin2[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin3[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			recoil = "recoil_auto_mk20";
			recoilProne = "recoil_auto_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1e-006;
			reloadTime = 0.075;
			dispersion = 0.0013;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 30;
			midRangeProbab = 0.8;
			maxRange = 60;
			maxRangeProbab = 0.7;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 60;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 6;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 120;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 90;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 8;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 160;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 2.1;
			aiRateOfFireDistance = 170;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 10;
			reloadTime = 0.15;
			minRange = 50;
			minRangeProbab = 0.1;
			midRange = 160;
			midRangeProbab = 0.3;
			maxRange = 400;
			maxRangeProbab = 0.01;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 300;
		};
	};
	class uns_m16_camo: uns_m16
	{
		displayName = "M16 (camo)";
		hiddenSelectionsTextures[] = {"\uns_weap_w\m16\skins\xm16e1_g_co.paa"};
		descriptionShort = "M16 5.56mm Assault Rifle, SF/SOG camo version.";
	};
	class uns_m16_bc: uns_m16
	{
		scope = 1; scopeArsenal = 1; //redundant class
	};
	class uns_M16A1: uns_m16
	{
		displayName = "M16A1";
		model = "\uns_weap_w\m16\uns_m16a1";
		picture = "\uns_weap_w\m16\ico\w_m16a1.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\m16\m16_handguard.rtm"};
		reloadAction = "HLC_GestureReloadAR15_catch_dr";
		descriptionShort = "M16A1 5.56mm Assault Rifle. 1967 model with 30 round mag.";
		magazines[] = {"uns_30Rnd_556x45_Stanag","uns_30Rnd_556x45_Stanag_T","uns_30Rnd_556x45_Stanag_NT","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag_T","uns_20Rnd_556x45_Stanag_NT","uns_40Rnd_556x45_Stanag","uns_40Rnd_556x45_Stanag_T","uns_40Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag_xm177","uns_30Rnd_556x45_Stanag_xm177_T","uns_30Rnd_556x45_Stanag_xm177_NT"};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 85;
		};
	};
	class uns_M16A1_HBAR_base: uns_M16A1
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M16A1 (HBAR LMG)";
		model = "\uns_weap_w\m16\uns_m16a1_HBAR";
		picture = "\uns_weap_w\m16\ico\w_m16a1_HBAR.paa";
		UiPicture = "\uns_men_c\icon\UStroops\i_mg_CA.paa";
		weaponInfoType = "RscWeaponZeroing";
		reloadAction = "HLC_GestureReloadAR15_BAD_DR";
		discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000};
		discreteDistanceInitIndex = 1;
		inertia = 0.6;
		dexterity = 1.5;
		descriptionShort = "M16A1 5.56mm Assault Rifle. Light Machine Gun version with heavy barrel (HBAR) and Bipod.";
		class Library
		{
			libtextdesc = "M16 Heavy Barrel light machinegun";
		};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 120;
			class MuzzleSlot{};
			class CowsSlot{};
			class PointerSlot{};
			class UnderBarrelSlot{};
		};
		hasBipod = 1;
		deployedpivot = "deploypivot";
		soundBipodDown[] = { "A3\Sounds_F_Mark\arsenal\sfx\bipods\Bipod_AAF_down", db - 3, 1, 20 };
		soundBipodUp[] = { "A3\Sounds_F_Mark\arsenal\sfx\bipods\Bipod_AAF_up", db - 3, 1, 20 };
	//mods
		AGM_Overheating_Dispersion[] = {0,-0.001,0.001,0.003};
		AGM_Overheating_SlowdownFactor[] = {1,1,1,0.9};
		AGM_Overheating_JamChance[] = {0,0.0003,0.0015,0.0075};
		agm_bipod = 1;
		AGM_Overheating_allowSwapBarrel = 1;
		AB_barrelTwist=12;
		AB_barrelLength=22;
		ACE_barrelTwist = 304.8;
		ACE_barrelLength = 558.8;
		tmr_autorest_deployable = 1;
		bg_bipod = 1;
		cse_bipod = 1;
		class Single: Single
		{
			recoil = "recoil_single_primary_3outof10";
			recoilProne = "recoil_auto_machinegun_prone_4outof10";
			dispersion = 0.0008;
			minRange = 2;
			minRangeProbab = 0.1;
			midRange = 25;
			midRangeProbab = 0.7;
			maxRange = 40;
			maxRangeProbab = 0.03;
		};
		class FullAuto: FullAuto
		{
			recoil = "recoil_single_primary_3outof10";
			recoilProne = "recoil_auto_machinegun_prone_4outof10";
			aiRateOfFire = 0.25;
			aiRateOfFireDistance = 500;
			dispersion = 0.0013;
			minRange = 2;
			minRangeProbab = 0.1;
			midRange = 200;
			midRangeProbab = 0.7;
			maxRange = 400;
			maxRangeProbab = 0.03;
		};
	};
	class uns_M16A1_HBAR: uns_M16A1_HBAR_base
	{
		scope = 1; scopeArsenal = 1;
	};
		class M16Muzzle_base: uns_M16
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M16 (M203)";
		descriptionShort = "M16 5.56mm Assault Rifle, SF/SOG version fitted with M203 Grenade Launcher.";
		magazines[] = {"uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag_T","uns_20Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag","uns_30Rnd_556x45_Stanag_T","uns_30Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag_xm177","uns_30Rnd_556x45_Stanag_xm177_T","uns_30Rnd_556x45_Stanag_xm177_NT"};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 80;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.0,0.45};
				iconScale = 0.2;
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
	};
	class M16A1Muzzle_base: uns_M16A1
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M16A1 (M203)";
		descriptionShort = "M16A1 5.56mm Assault Rifle, SF/SOG version fitted with M203 Grenade Launcher.";
		magazines[] = {"uns_30Rnd_556x45_Stanag","uns_30Rnd_556x45_Stanag_T","uns_30Rnd_556x45_Stanag_NT","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag_T","uns_20Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag_xm177","uns_30Rnd_556x45_Stanag_xm177_T","uns_30Rnd_556x45_Stanag_xm177_NT"};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 80;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.0,0.45};
				iconScale = 0.2;
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
	};
	class uns_m16a1_m203: uns_M16A1
	{
		displayName = "M16A1 (M203)";
		model = "\uns_weap_w\m16\uns_m16a1_m203";
		picture = "\uns_weap_w\m16\ico\w_m16a1_m203.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\M16GL.rtm"};
		muzzles[] = {"M16A1_203_Muzzle","Uns_M203Muzzle"};
		class M16A1_203_Muzzle: M16Muzzle_base
		{
			displayName = "M16A1 (M203)";
			descriptionShort = "M16A1 5.56mm Assault Rifle, SF/SOG version fitted with M203 Grenade Launcher.";
			magazines[] = {"uns_30Rnd_556x45_Stanag","uns_30Rnd_556x45_Stanag_T","uns_30Rnd_556x45_Stanag_NT","uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag_T","uns_20Rnd_556x45_Stanag_NT","uns_40Rnd_556x45_Stanag","uns_40Rnd_556x45_Stanag_T","uns_40Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag_xm177","uns_30Rnd_556x45_Stanag_xm177_T","uns_30Rnd_556x45_Stanag_xm177_NT"};
		};
		descriptionShort = "M16A1 5.56mm Assault Rifle. 1967 model with 30 round mag and M203 single shot 40 mm grenade launcher that attaches under the rifle barrel.";
		class Library
		{
			libtextdesc = "M16A1 5.56mm Assault Rifle. 1967 model with 30 round mag and M203 single shot 40 mm grenade launcher that attaches under the rifle barrel.";
		};
		recoil = "uns_recoil_m16gl";
		inertia = 0.6;
		dexterity = 1.4;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 130;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
			};
		};
	};
		class uns_m16_m203: uns_M16
	{
		displayName = "M16 (M203)";
		model = "\uns_weap_w\m16\uns_xm16e1_m203";
		picture = "\uns_weap_w\m16\ico\w_m16_m203.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\M16GL.rtm"};
		muzzles[] = {"M16_m203_Muzzle","Uns_M203Muzzle"};
		class M16_m203_Muzzle: M16Muzzle_base
		{
			displayName = "M16 (M203)";
			descriptionShort = "M16 5.56mm Assault Rifle, SF/SOG version fitted with M203 Grenade Launcher.";
			magazines[] = {"uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag_T","uns_20Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag","uns_30Rnd_556x45_Stanag_T","uns_30Rnd_556x45_Stanag_NT","uns_40Rnd_556x45_Stanag","uns_40Rnd_556x45_Stanag_T","uns_40Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag_xm177","uns_30Rnd_556x45_Stanag_xm177_T","uns_30Rnd_556x45_Stanag_xm177_NT"};
		};
		descriptionShort = "M16 5.56mm Assault Rifle. Early model with 20 round mag and M203 single shot 40 mm grenade launcher that attaches under the rifle barrel.";
		class Library
		{
			libtextdesc = "M16 5.56mm Assault Rifle. Early model with 20 round mag and M203 single shot 40 mm grenade launcher that attaches under the rifle barrel.";
		};
		recoil = "uns_recoil_m16gl";
		inertia = 0.6;
		dexterity = 1.4;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 125;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
			};
		};
	};
////////////////////// XM-177E1 /////////////////////////
	class uns_xm177e1: uns_M16
	{
		scope = 1; scopeArsenal = 1;
		displayName = "XM-177E1";
		model = "\uns_weap_w\uns_xm177\uns_xm177e1";
		hiddenselections[] = {};
		hiddenSelectionsTextures[] = {};
		picture = "\uns_weap_w\uns_xm177\ico\w_xm177e1.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\m16\m16_mag.rtm"};
		descriptionShort = "XM-177E1 Colt Commando 5.56mm Carbine Model 609, SF/SOG light version fitted with 20 round mag.";
		magazines[] = {"uns_20Rnd_556x45_Stanag","uns_20Rnd_556x45_Stanag_T","uns_20Rnd_556x45_Stanag_NT","uns_30Rnd_556x45_Stanag_xm177","uns_30Rnd_556x45_Stanag_xm177_T","uns_30Rnd_556x45_Stanag_xm177_NT","uns_30Rnd_556x45_Stanag","uns_30Rnd_556x45_Stanag_T","uns_30Rnd_556x45_Stanag_NT","uns_40Rnd_556x45_Stanag","uns_40Rnd_556x45_Stanag_T","uns_40Rnd_556x45_Stanag_NT"};
		class Library
		{
			libtextdesc = "XM-177E1 Colt Commando 5.56mm Carbine Model 609, SF/SOG light version fitted with 20 round mag";
		};
		recoil = "uns_recoil_xm177";
		initSpeed = 838;
		discreteDistance[] = {100, 200, 300, 400, 500, 600};
//		reloadAction = "GestureReloadSMG_02";
		maxRecoilSway = 0.0125;
		swayDecaySpeed = 1.25;
		inertia = 0.35;
		dexterity = 1.65;
		class WeaponSlotsInfo : WeaponSlotsInfo
		{
			mass = 60;
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {"uns_o_colt4x","uns_o_LeatherwoodART_m16","uns_o_ANPVS2_M16"};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class MuzzleSlot{};
			class PointerSlot{};
		};
//sounds
		reloadMagazineSound[] = {"\uns_weap_s\car15\car15_reload",1,1,25};
		drySound[] = {"\uns_weap_s\car15\car15_dry",1,1,10};
		modes[] = {"Single","FullAuto","AImode1","AImode2","AImode3","AImode4"};
		class Single: Single
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\m16\car15_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\m16\car15_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\m16\car15_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin2[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin3[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
//			reloadTime = 0.03;
			dispersion = 0.0013;
			recoil = "recoil_single_mk20";
			recoilProne = "recoil_single_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.5;
			midRange = 150;
			midRangeProbab = 0.7;
			maxRange = 300;
			maxRangeProbab = 0.2;
		};
		class FullAuto: FullAuto
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\m16\car15_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\m16\car15_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\m16\car15_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin2[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				begin3[] = {"\uns_weap_s\m16\m16SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			recoil = "recoil_auto_mk20";
			recoilProne = "recoil_auto_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1e-006;
//			reloadTime = 0.075;
			dispersion = 0.002;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 30;
			midRangeProbab = 0.8;
			maxRange = 60;
			maxRangeProbab = 0.7;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 60;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 6;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 120;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 90;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 8;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 160;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 2.1;
			aiRateOfFireDistance = 170;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 10;
//			reloadTime = 0.15;
			minRange = 50;
			minRangeProbab = 0.1;
			midRange = 160;
			midRangeProbab = 0.3;
			maxRange = 400;
			maxRangeProbab = 0.01;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 300;
		};
	};