	class Uns_optic_base: ItemCore
	{
		scope = 0;
		_generalMacro = "optic_Arco";
		displayName = "$STR_A3_cfgWeapons_optic_Arco0";
		picture = "\A3\weapons_F\Data\UI\gear_acco_Arco_CA.paa";
		model = "\A3\weapons_f_beta\acc\acco_Arco_F";
		descriptionShort = "$STR_A3_cfgWeapons_optic_Arco1";
		weaponInfoType = "RscWeaponZeroing";
		class ItemInfo: InventoryOpticsItem_Base_F
		{
			mass = 8;
			opticType = 1;
			optics = 1;
			modelOptics = "\A3\Weapons_F_Beta\acc\acco_arco_F.p3d";
			class OpticsModes
			{
				class ARCO2collimator
				{
					opticsID = 1;
					useModelOptics = 0;
					opticsPPEffects[] = {"Default"};
					opticsFlare = 0;
					opticsDisablePeripherialVision = 0;
					opticsZoomMin = 0.25;
					opticsZoomMax = 1.25;
					opticsZoomInit = 0.75;
					memoryPointCamera = "eye";
					visionMode[] = {};
					distanceZoomMin = 200;
					distanceZoomMax = 200;
					cameraDir = "";
				};
				class ARCO2scope: ARCO2collimator
				{
					opticsID = 2;
					useModelOptics = 0;
					opticsPPEffects[] = {"OpticsCHAbera5","OpticsBlur5"};
					opticsZoomMin = 0.125;
					opticsZoomMax = 0.125;
					opticsZoomInit = 0.125;
					memoryPointCamera = "opticView";
					opticsFlare = 1;
					opticsDisablePeripherialVision = 1;
					distanceZoomMin = 300;
					distanceZoomMax = 300;
				};
			};
		};
		inertia = 0.1;
	};
	class uns_o_RedfieldART: Uns_optic_base
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Scope (Redfield 3-9x variable) [M40]";
		descriptionShort = "Scope (Redfield 3-9x variable) [M40]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_RedfieldART_ca.paa";
		model = "\uns_weap_w\a_Optic\redfield_r700\o_RedfieldART";
		inertia = 0.1;
		class ItemInfo: InventoryOpticsItem_Base_F
		{
			mass = 8;
			modelOptics = "\uns_weap_w\a_optic\redfield_r700\optika_sniperw.p3d";
			class OpticsModes
			{
				class scope
				{
					opticsID = 1;
					useModelOptics = 1;
					opticsZoomInit = 0.0711;
					opticsZoomMin = 0.0249;
					opticsZoomMax = 0.0711;
					distanceZoomMin = 400;
					distanceZoomMax = 120;
					opticsPPEffects[] = {"OpticsCHAbera1","OpticsBlur1"};
					opticsDisablePeripherialVision = 1;
					opticsFlare = 1;
					memoryPointCamera = "opticView";
					visionMode[] = {"Normal"};
					cameraDir = "";
					weaponInfoType = "RscWeaponZeroing";
					discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000,1100,1200};
					discreteDistanceInitIndex = 1;
				};
				class Ironsights: scope
				{
					opticsID = 2;
					useModelOptics = 0;
					opticsFlare = 0;
					opticsDisablePeripherialVision = 0;
					opticsZoomMin = 0.25;
					opticsZoomMax = 1.1;
					opticsZoomInit = 0.5;
					memoryPointCamera = "eye_overscope";
					visionMode[] = {};
					weaponInfoType = "RscWeaponZeroing";
					discreteDistance[] = {100};
					discreteDistanceInitIndex = 0;
				};
			};
		};
	};
	class uns_o_RedfieldART_m70: uns_o_RedfieldART
	{
		displayName = "Scope (Redfield 3-9x variable) [Model 70]";
		descriptionShort = "Scope (Redfield 3-9x variable) [Model 70]";
		model = "\uns_weap_w\a_Optic\redfield_m70\o_Redfieldm70.p3d";
	};
	class uns_o_Unertl8x: uns_o_RedfieldART
	{
		scope = 2;
		scopeArsenal = 2;
		displayName = "Scope (Unertl 8x) [M1903]";
		descriptionShort = "Scope (Unertl 8x) [M1903]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_Unertl8x_ca.paa";
		model = "\uns_weap_t\springfield\o_Unertl8x";
		inertia = 0.1;
		class ItemInfo: ItemInfo
		{
			mass = 10;
			class OpticsModes: OpticsModes
			{
				class scope
				{
					discretedistance[] = {90,180,270,360,450,540,630,720,810,900,990,1010,1180,1280,1370,1460,1550,1640,1740,1810};
					discretedistanceinitindex = 2;
					distancezoommax = 1810;
					distancezoommin = 90;
					memorypointcamera = "scope_eye";
					modeloptics[] = {"\uns_weap_t\springfield\fine_reticle"};
					opticsdisableperipherialvision = 1;
					opticsflare = 1;
					opticsid = 1;
					opticsppeffects[] = {"OpticsCHAbera1","OpticsBlur1"};
					opticszoominit = 0.039385;
					opticszoommax = 0.039385;
					opticszoommin = 0.039385;
					usemodeloptics = 1;
					visionmode[] = {"Normal"};
				};
				class Ironsights: IronSights{};
			};
		};
	};
	class uns_o_Unertl8x_m70: uns_o_Unertl8x
	{
		displayName = "Scope (Unertl 8x) [Model 70]";
		descriptionShort = "Scope (Unertl 8x) [Model 70]";
		model = "\uns_weap_t\springfield\o_Unertl8x_m70";
	};
	class vn_o_anpvs2_m14;
	class uns_o_ANPVS2: vn_o_anpvs2_m14
	{
		scope = 2;
		scopeArsenal = 2;
		displayName = "Scope (AN-PVS2 Starlite) [M40]";
		descriptionShort = "Scope (AN-PVS2 Starlite) [M40]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_ANPVS2k_ca.paa";
//		model = "\uns_weap_w\a_Optic\ANPVS2_M16\o_ANPVS2";
		inertia = 0.2;
		class ItemInfo
		{
			mass = 16;
//			modelOptics = "\uns_weap_w\a_Optic\newoptics\anpvs2_reticle.p3d";
			class OpticsModesw
			{
				class scope
				{
					visionMode[] = {"Normal","NVG"};
					opticsZoomInit = 0.0708215;
					opticsZoomMin = 0.0708215;
					opticsZoomMax = 0.0708215;
					distanceZoomMin = 300;
					distanceZoomMax = 300;
					opticsPPEffects[] = {"OpticsCHAbera1","OpticsBlur1"};
					weaponInfoType = "RscWeaponZeroing";
					discreteDistance[] = {100,200,300,400};
					discreteDistanceInitIndex = 0;
				};
				class Ironsights
				{
					weaponInfoType = "RscWeaponZeroing";
					discreteDistance[] = {100,200,300,400,500,600,700,800};
					discreteDistanceInitIndex = 0;
				};
			};
		};
		class Library
		{
			libTextDesc = "The AN/PVS-2 starlight scope was, also know by the acronym STANO (Surveillance, Target Acquisition and Night Observation). It was developed by the US Army at the US Army Electronics Command with optical support of the Wollensack Optical Company, as its prime contractor. With a weight of 5.94 pounds it is rather ungainly on an M16 Rifle. It eliminated the cumbersome backpack battery, but in the humid conditions of South East Asia, battery integrity was a nagging problem. There was also a constant whining sound from the instrument that threatened to give away ones position. The blooming problems and fade-outs made them somewhat unreliable for sniper use. The AN/PVS-2 was useless as a sighting device. The adjustments in the scope just would not hold a zero at any range, even with the best of rifles. They were, however, useful for observation and often used from towers to scrutinize enemy activity.";
		};
	};
	class uns_o_ANPVS2_M14: uns_o_ANPVS2
	{
		displayName = "Scope (AN-PVS2 Starlite) [M14/Model 70]";
		descriptionShort = "Scope (AN-PVS2 Starlite) [M14]";
//		model = "\uns_weap_w\a_Optic\ANPVS2_M14\o_ANPVS2";
	};
	class uns_o_LeatherwoodART: uns_o_RedfieldART
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Scope (Leatherwood 3-9x) [Model 70]";
		descriptionShort = "Scope (Leatherwood 3-9x) [Model 70]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_LeatherwoodM16_ca.paa";
		model = "\uns_weap_w\a_Optic\Leatherwood_m14\o_LeatherwoodART";
		inertia = 0.1;
		class ItemInfo: ItemInfo
		{
			mass = 8;
			modelOptics = "\uns_weap_w\a_optic\Unertl8x_M70\2Dscope_MilDot_10.p3d";
			class OpticsModes: OpticsModes
			{
				class scope: scope {};
				class Ironsights: Ironsights {};
			};
		};
	};
	class uns_o_M84: uns_o_LeatherwoodART
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Scope (M84 2.2x) [M1]";
		descriptionShort = "Scope (M84 2.2x) [M1]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_M84_2x_ca.paa";
		model = "\uns_weap_w\a_Optic\2x_m84\o_m84";
		class ItemInfo: ItemInfo
		{
			mass = 8;
			modelOptics = "\uns_weap_w\a_Optic\newoptics\m84_reticle.p3d";
			class OpticsModes: OpticsModes
			{
				class scope: scope
				{
					opticsZoomMax = 0.083;
					opticsZoomMin = 0.083;
					opticsZoomInit = 0.083;
					distanceZoomMin = 300;
					distanceZoomMax = 300;
					discreteDistance[] = {100,200,300,400,500,600,700,800,900};
				};
				class Ironsights: Ironsights {};
			};
		};
	};
	class uns_o_PU: uns_o_RedfieldART
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Scope (PU 3.5x) [Mosin]";
		descriptionShort = "Scope (PU 3.5x) [Mosin]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_PU_ca.paa";
		model = "\uns_weap_w\a_Optic\PU3x_mosin\o_PU";
		inertia = 0.1;
		class ItemInfo: ItemInfo
		{
			mass = 6;
			modelOptics = "\uns_weap_w\a_Optic\newoptics\pu_reticle.p3d";
			class OpticsModes: OpticsModes
			{
				class scope: scope
				{
					weaponInfoType = "RscWeaponZeroing";
					discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000,1100,1200};
					discreteDistanceInitIndex = 0;
				};
				class Ironsights: Ironsights {};
			};
		};
	};
	class uns_o_zf41: uns_o_PU
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Scope (ZF41 3.5x) [Kar-98k]";
		descriptionShort = "Scope (ZF41 3.5x) [Kar-98k]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_zf41.paa";
		model = "\uns_weap_w\a_Optic\ZF41_kar98k\o_ZF41";
		inertia = 0.1;
		class ItemInfo: ItemInfo
		{
			mass = 6;
			modelOptics = "\uns_weap_w\a_Optic\newoptics\pu_reticle.p3d";
			class OpticsModes: OpticsModes
			{
				class scope: scope
				{
					weaponInfoType = "RscWeaponZeroing";
					discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000,1100,1200};
					discreteDistanceInitIndex = 0;
				};
				class Ironsights: Ironsights {};
			};
		};
	};	
	class uns_o_Akatihi4x: uns_o_PU
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Scope (Akatihi Tokyo 4x) [Arisaka]";
		descriptionShort = "Scope (Akatihi Tokyo 4x) [Arisaka]";
		picture = "\uns_weap_w\a_Optic\ico\uns_o_Akatihi4x_ca.paa";
		model = "\uns_weap_w\a_Optic\akatihi_4x\o_akatihi_4x";
		class ItemInfo: ItemInfo
		{
			mass = 8;
			modelOptics = "\uns_weap_w\a_Optic\newoptics\akatihi_reticle.p3d";

			class OpticsModes: OpticsModes
			{
				class scope: scope
				{
					opticsZoomInit = 0.0623;
					opticsZoomMin = 0.0623;
					opticsZoomMax = 0.0623;
					distanceZoomMin = 200;
					distanceZoomMax = 200;
//					discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000,1100,1200};
					discreteDistance[] = {100};
				};
				class Ironsights: Ironsights
				{
					weaponInfoType = "RscWeaponZeroing";
					discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000};
					discreteDistanceInitIndex = 0;
				};
			};
		};
	};	