	class uns_thompson: Uns_SMG
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M1A1 Thompson";
		model = "\uns_weap_w\uns_m1a1_thompson\uns_m1a1_thompson";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\m16\m16_handguard.rtm"};
		reloadAction = "HLC_GestureReloadFALLONG";
		picture = "\uns_weap_w\uns_m1a1_thompson\ico\w_thompson.paa";
		magazines[] = {"uns_thompsonmag_30","uns_thompsonmag_30_T","uns_thompsonmag_30_NT","uns_thompsonmag_20","uns_thompsonmag_20_T","uns_thompsonmag_20_NT"};
		dexterity = 1.75;
		inertia = 0.2;
		initSpeed = 280;
		recoil = "uns_recoil_smg_tommy";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		class WeaponSlotsInfo
		{
			mass = 45;
			class MuzzleSlot{};
			class CowsSlot{};
			class PointerSlot{};
		};
		descriptionShort = "M1928-A1 Thompson with 30 round mag.";
//sounds to do
		drySound[] = {"\uns_weap_s\thompson\thompson_dry",1,1,10};
		reloadMagazineSound[] = {"\uns_weap_s\thompson\thompson_reload",1,1,25};
		modes[] = {"FullAuto","Single","AImode1","AImode2","AImode3","AImode4","AImode5"};
		class Single: Mode_SemiAuto
		{
			sounds[] = {"StandardSound"};
			class StandardSound
			{
				begin1[] = {"\uns_weap_s\thompson\thompson_fire",2,0.99,1200};
				begin2[] = {"\uns_weap_s\thompson\thompson_fire",2,1,1200};
				begin3[] = {"\uns_weap_s\thompson\thompson_fire",2,1.01,1200};
				soundBegin[] = {"begin1",0.333,"begin2",0.333,"begin3",0.333};
			};
			soundBurst = 0;
			reloadTime = 0.090;
			recoil = "recoil_single_primary_6outof10";
			recoilProne = "recoil_single_primary_prone_4outof10";
			dispersion = 0.003;
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 100;
			midRangeProbab = 0.7;
			maxRange = 150;
			maxRangeProbab = 0.05;
			aiRateOfFireDistance = 300;
			ffCount = 1;
			aiRateOfFire = 30;
		};
		class FullAuto: Mode_FullAuto
		{
			sounds[] = {"StandardSound"};
			class StandardSound
			{
				begin1[] = {"\uns_weap_s\thompson\thompson_fire",2,0.99,1200};
				begin2[] = {"\uns_weap_s\thompson\thompson_fire",2,1,1200};
				begin3[] = {"\uns_weap_s\thompson\thompson_fire",2,1.01,1200};
				soundBegin[] = {"begin1",0.333,"begin2",0.333,"begin3",0.333};
			};
			soundBurst = 0;
			reloadTime = 0.090;
			ffCount = 1;
			recoil = "recoil_single_primary_6outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			dispersion = 0.003;
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 100;
			midRangeProbab = 0.7;
			maxRange = 150;
			maxRangeProbab = 0.05;
			aiRateOfFireDistance = 300;
			aiRateOfFire = 30;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 7;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.8;
			midRange = 50;
			midRangeProbab = 0.7;
			maxRange = 90;
			maxRangeProbab = 0.6;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 90;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 6;
			dispersion = 0.015;
			minRange = 70;
			minRangeProbab = 0.8;
			midRange = 110;
			midRangeProbab = 0.7;
			maxRange = 160;
			maxRangeProbab = 0.6;
			aiRateOfFire = 1.4;
			aiRateOfFireDistance = 110;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 5;
			dispersion = 0.015;
			minRange = 100;
			minRangeProbab = 0.7;
			midRange = 130;
			midRangeProbab = 0.6;
			maxRange = 220;
			maxRangeProbab = 0.3;
			aiRateOfFire = 2.2;
			aiRateOfFireDistance = 220;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 3;
			dispersion = 0.015;
			minRange = 120;
			minRangeProbab = 0.7;
			midRange = 150;
			midRangeProbab = 0.6;
			maxRange = 220;
			maxRangeProbab = 0.3;
			aiRateOfFire = 2.0;
			aiRateOfFireDistance = 220;
		};
		class AImode5: AImode1
		{
			soundBurst = 0;
			burst = 1;
			dispersion = 0.015;
			minRange = 170;
			minRangeProbab = 0.7;
			midRange = 350;
			midRangeProbab = 0.6;
			maxRange = 450;
			maxRangeProbab = 0.3;
			aiRateOfFire = 1.0;
			aiRateOfFireDistance = 450;
		};
	};
	class uns_uzif: Uns_SMG
	{
		scope = 1; scopeArsenal = 1;
		displayName = "UZI (folded)";
		model = "\uns_weap_w\uns_uzi\uns_uzi_f";
		picture = "\uns_weap_w\uns_uzi\ico\w_uzi_f.paa";
//		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\HKMP5.rtm"};
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\uzi\uns_uzi.rtm"};
		magazines[] = {"uns_32Rnd_uzi","uns_32Rnd_uzi_pa"};
		descriptionShort = "UZI 9mm sub-machinegun. Used by CIA, embassy and rear echelon staff, appropriated by SF/SOG. Folded stock.";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		class Library
		{
			libtextdesc = "UZI 9mm sub-machinegun. Used by CIA, embassy and rear echelon staff, appropriated by SF/SOG. Folded stock.";
		};
		inertia = 0.2;
		dexterity = 1.8;
		recoil = "uns_recoil_smg_mac10";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 35;
			class MuzzleSlot: MuzzleSlot
			{
				linkProxy = "\A3\data_f\proxies\weapon_slots\MUZZLE";
				compatibleItems[] = {"uns_s_UZI"};
				iconPosition[] = {0.1,0.4};
				iconScale = 0.2;
			};
			class CowsSlot{};
			class PointerSlot{};
		};
//sounds

		drySound[] = {"\uns_weap_s\uzi\uzi_dry",1,1,20};
		reloadMagazineSound[] = {"\uns_weap_s\uzi\uzi_reload",1,1,15};

		modes[] = {"FullAuto","Single","AImode1","AImode2","AImode3","AImode4"};
		class Single: Single
		{
			sounds[] = {"StandardSound","SilencedSound"};
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\uzi\uzi_fire",2,1,1200};
				soundBegin[] = {"begin1",0.33};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\uzi\uziSD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33};
			};
			dispersion = 0.0045;
			reloadTime = 0.07;
			recoil = "recoil_single_SMG_01";
			recoilProne = "recoil_single_prone_SMG_01";
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 100;
			midRangeProbab = 0.7;
			maxRange = 150;
			maxRangeProbab = 0.05;
			aiRateOfFire = 2.0;
			aiRateOfFireDistance = 300;
		};
		class FullAuto: FullAuto
		{
			sounds[] = {"StandardSound","SilencedSound"};
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\uzi\uzi_fire.wss",2,0.99,1200};
				begin2[] = {"\uns_weap_s\uzi\uzi_fire.wss",2,1,1200};
				soundBegin[] = {"begin1",0.33,"begin2",0.33};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\uzi\uziSD_fire",1,0.99,400};
				begin2[] = {"\uns_weap_s\uzi\uziSD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33};
			};
			soundBurst = 0;
			reloadTime = 0.06;
			ffCount = 1;
			recoil = "recoil_auto_smg_01";
			recoilProne = "recoil_auto_prone_smg_01";
			aiRateOfFire = 0.001;
			dispersion = 0.003;
			minRange = 0;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFireDistance = 50;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 25;
			midRangeProbab = 0.85;
			maxRange = 50;
			maxRangeProbab = 0.8;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 50;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			burst = 6;
			minRange = 50;
			midRange = 75;
			maxRange = 100;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 100;
		};
		class AImode3: AImode1
		{
			burst = 8;
			minRange = 100;
			midRange = 130;
			maxRange = 150;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 150;
		};
		class AImode4: AImode1
		{
			burst = 10;
			minRange = 150;
			midRange = 180;
			maxRange = 220;
			aiRateOfFire = 2;
			aiRateOfFireDistance = 220;
		};
	};
	class uns_uzi: uns_uzif
	{
		scope = 1; scopeArsenal = 1;
		displayName = "UZI";
		model = "\uns_weap_w\uns_uzi\uns_uzi";
		picture = "\uns_weap_w\uns_uzi\ico\w_uzi.paa";
		inertia = 0.3;
		dexterity = 1.7;
		descriptionShort = "UZI 9mm sub-machinegun. Used by CIA, embassy and rear echelon staff, appropriated by SF/SOG.";
		class Library
		{
			libtextdesc = "UZI 9mm sub-machinegun. Used by CIA, embassy and rear echelon staff, appropriated by SF/SOG.";
		};
	};
	class uns_uzi_SD: uns_uzi
	{
		scope = 1; scopeArsenal = 1;
		displayName = "UZI (SD)";
		picture = "\uns_weap_w\uns_uzi\ico\w_uzi_sd.paa";
		descriptionShort = "UZI 9mm sub-machinegun. Used by CIA, embassy and rear echelon staff, appropriated by SF/SOG and fitted with suppressor.";
		class Library
		{
			libtextdesc = "UZI 9mm sub-machinegun. Used by CIA, embassy and rear echelon staff, appropriated by SF/SOG and fitted with suppressor.";
		};
		class LinkedItems
		{
			class LinkedItemsMuzzle
			{
				slot = "MuzzleSlot";
				item = "uns_s_UZI";
			};
		};
	};	
	class uns_m50: Uns_SMG
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Madsen M50";
		model = "\uns_weap_w\uns_m50\uns_m50";
		picture = "\uns_weap_w\uns_m50\ico\w_m50.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\SCAR.rtm"};
		magazines[] = {"uns_m50mag"};
		dexterity = 1.75;
		initSpeed = 380;
		recoil = "uns_recoil_smg_m45";
		discreteDistance[] = {100};
		descriptionShort = "Madsen M50 9mm SMG";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 40;
			class MuzzleSlot {};
			class CowsSlot{};
			class PointerSlot{};
		};
		class Library
		{
			libtextdesc = "The Madsen M50 is a Danish-made fully automatic SMG, fed by a 32 round mag of 9mm parabellum rounds. The M50 was well-used in Vietnam, Green Berets frequently placed the weapon in the hands of Degar fighters trained as rapid-response forces during the war. Also known as the Montagnard, the Degar are indigenous people of Vietnams Central Highlands. Small enough to hide inside woven pack baskets, M50s gave them real fire-power as they scouted hills and trails for Viet Cong activity. Madsen SMG's were issued to various Laotian, Vietnamese, and Montagnard forces by the CIA during the Vietnam War.";
		};
//sounds
		drySound[] = {"uns_weap_s\m45\m45_dry",1,1,10};
		reloadMagazineSound[] = {"uns_weap_s\m45\m45_reload",1,1,25};
		modes[] = {"FullAuto","AImode1","AImode2","AImode3","AImode4"};
		class FullAuto: FullAuto
		{
			sounds[] = {"StandardSound"};
			class StandardSound: StandardSound
			{
				soundsetshot[] = {"M50_Shot_SoundSet","M50_tail_SoundSet"}; 
			};
			reloadTime = 0.11; //550rpm
			soundBurst = 0;
			ffCount = 1;
			recoil = "recoil_auto_smg_01";
			recoilProne = "recoil_auto_prone_smg_01";
			aiRateOfFire = 0.001;
			dispersion = 0.003;
			minRange = 0;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFireDistance = 50;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 9;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 1;
			minRangeProbab = 0.9;
			midRange = 40;
			midRangeProbab = 0.8;
			maxRange = 80;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 80;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			burst = 5;
			midRange = 60;
			aiRateOfFire = 1.6;
		};
		class AImode3: AImode1
		{
			burst = 6;
			minRange = 80;
			minRangeProbab = 0.6;
			midRange = 130;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.7;
			aiRateOfFireDistance = 200;
		};
		class AImode4: AImode1
		{
			burst = 7;
			minRange = 80;
			minRangeProbab = 0.6;
			midRange = 170;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.7;
			aiRateOfFireDistance = 200;
		};
	};
	class uns_m50f: uns_m50
	{
		displayName = "Madsen M50 (folded)";
		model = "\uns_weap_w\uns_m50\uns_m50f";
		picture = "\uns_weap_w\uns_m50\ico\w_m50f.paa";
		dexterity = 1.775;
		descriptionShort = "Madsen M50 9mm SMG, with folded stock";
	};
	class uns_Sterling: Uns_SMG
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Sterling L2A3 Mk4";
		model = "\uns_weap_w\sterling\uns_sterling";
		picture = "\uns_weap_w\sterling\ico\w_l2a3.paa";
		magazines[] = {"uns_mk4mag","uns_mk4mag_T"};
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\sterling\vil_anim_ste.rtm"};
		initSpeed = 400;
		dexterity = 1.75;
		descriptionShort = "L2A3 Sterling 9mm sub-machinegun. Used by Australian soldiers and appropriated by SF/SOG/LRRP teams. 34 round mag.";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		class Library
		{
			libtextdesc = "L2A3 Sterling 9mm sub-machinegun. Used by Australian soldiers and appropriated by SF/SOG/LRRP teams. 34 round mag.";
		};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 40;
			class MuzzleSlot{};
			class CowsSlot{};
			class PointerSlot{};
		};
//sounds
		drySound[] = {"uns_weap_s\Sterling\SterlingMk4_dry",1,1,10};
		reloadMagazineSound[] = {"uns_weap_s\Sterling\SterlingMk4_reload",1,1,25};
		modes[] = {"FullAuto","Single","AImode1","AImode2","AImode3","AImode4"};
		class Single: Single
		{
			sounds[] = {"StandardSound","SilencedSound"};
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\Sterling\SterlingMk4_fire",2,0.99,1200};
				begin2[] = {"\uns_weap_s\Sterling\SterlingMk4_fire",2,1,1200};
				begin3[] = {"\uns_weap_s\Sterling\SterlingMk4_fire",2,1.01,1200};
				soundBegin[] = {"begin1",0.333,"begin2",0.333,"begin3",0.333};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\l34a1\l34a1_fire",1,0.99,400};
				begin2[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1,400};
				begin3[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1.01,400};
				soundBegin[] = {"begin1",0.333,"begin2",0.333,"begin3",0.333};
			};
			soundBurst = 0;
			reloadTime = 0.085;
			recoil = "recoil_single_primary_6outof10";
			recoilProne = "recoil_single_primary_prone_4outof10";
			dispersion = 0.003;
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 100;
			midRangeProbab = 0.7;
			maxRange = 150;
			maxRangeProbab = 0.05;
			aiRateOfFireDistance = 300;
			ffCount = 1;
			aiRateOfFire = 30;
		};
		class FullAuto: FullAuto
		{
			sounds[] = {"StandardSound","SilencedSound"};
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\Sterling\SterlingMk4_fire",2,1,1200};
				begin2[] = {"\uns_weap_s\Sterling\SterlingMk4_fire",2,1.01,1200};
				soundBegin[] = {"begin1",0.5,"begin2",0.5};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1,400};
				begin2[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1.01,400};
				soundBegin[] = {"begin1",0.5,"begin2",0.5};
			};
			soundBurst = 0;
			reloadTime = 0.085;
			ffCount = 1;
			recoil = "recoil_auto_primary_6outof10";
			recoilProne = "recoil_auto_primary_prone_4outof10";
			dispersion = 0.003;
			aiRateOfFire = 30;
			minRange = 0;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFireDistance = 50;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 2;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 50;
			midRangeProbab = 0.85;
			maxRange = 70;
			maxRangeProbab = 0.8;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 70;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			burst = 6;
			minRange = 70;
			midRange = 110;
			maxRange = 200;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 200;
		};
		class AImode3: AImode1
		{
			burst = 5;
			minRange = 70;
			midRange = 130;
			maxRange = 200;
			aiRateOfFire = 2.2;
			aiRateOfFireDistance = 200;
		};
		class AImode4: AImode1
		{
			burst = 1;
			minRange = 70;
			midRange = 130;
			maxRange = 240;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 240;
		};
	};
	class uns_Sterling_f: uns_Sterling
	{
		displayName = "Sterling L2A3 Mk4 (folded)";
		model = "\uns_weap_w\sterling\uns_sterling_folded";
		picture = "\uns_weap_w\sterling\ico\w_l2a3_f.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\sterling\vil_anim_ste.rtm"};
		initSpeed = 400;
		dexterity = 1.9;
		descriptionShort = "L2A3 Sterling 9mm sub-machinegun. Used by Australian soldiers and appropriated by SF/SOG/LRRP teams. 34 round mag, folded stock.";
	};
	class uns_SterlingSD: Uns_Sterling
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Sterling L34A1 Mk4 (SD)";
		model = "\uns_weap_w\sterling\uns_sterlingSD";
		picture = "\uns_weap_w\sterling\ico\w_l34.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\sterling\sterling_pro_f.rtm"};
		dexterity = 1.7;
		initSpeed = 330;
		descriptionShort = "L34A1 Sterling 9mm SD sub-machinegun. Supplied to SF/SOG. 34 round mag and suppressor.";
		class Library
		{
			libtextdesc = "L34A1 Sterling 9mm SD sub-machinegun. Supplied to SF/SOG. 34 round mag and suppressor.";
		};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 45;
			class MuzzleSlot{};
			class CowsSlot{};
			class PointerSlot{};
		};
		class Single: Single
		{
			sounds[] = {"SilencedSound"};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\l34a1\l34a1_fire",1,0.99,400};
				begin2[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1,400};
				begin3[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1.01,400};
				soundBegin[] = {"begin1",0.333,"begin2",0.333,"begin3",0.333};
			};
			soundBurst = 0;
			reloadTime = 0.085;
			recoil = "recoil_single_primary_6outof10";
			recoilProne = "recoil_single_primary_prone_4outof10";
			dispersion = 0.003;
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 100;
			midRangeProbab = 0.7;
			maxRange = 150;
			maxRangeProbab = 0.05;
			aiRateOfFireDistance = 300;
			ffCount = 1;
			aiRateOfFire = 30;
		};
		class FullAuto: FullAuto
		{
			sounds[] = {"SilencedSound"};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1,400};
				begin2[] = {"\uns_weap_s\l34a1\l34a1_fire",1,1.01,400};
				soundBegin[] = {"begin1",0.5,"begin2",0.5};
			};
			soundBurst = 0;
			reloadTime = 0.085;
			ffCount = 1;
			recoil = "recoil_auto_primary_6outof10";
			recoilProne = "recoil_auto_primary_prone_4outof10";
			dispersion = 0.003;
			aiRateOfFire = 30;
			minRange = 0;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFireDistance = 50;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 2;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 50;
			midRangeProbab = 0.85;
			maxRange = 70;
			maxRangeProbab = 0.8;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 70;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			burst = 6;
			minRange = 70;
			midRange = 110;
			maxRange = 200;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 200;
		};
		class AImode3: AImode1
		{
			burst = 5;
			minRange = 70;
			midRange = 130;
			maxRange = 200;
			aiRateOfFire = 2.2;
			aiRateOfFireDistance = 200;
		};
		class AImode4: AImode1
		{
			burst = 1;
			minRange = 70;
			midRange = 130;
			maxRange = 240;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 240;
		};
	};
	class uns_SterlingSD_f: uns_SterlingSD
	{
		displayName = "Sterling L34A1 Mk4 (SD/folded)";
		model = "\uns_weap_w\sterling\uns_sterlingSD_folded";
		picture = "\uns_weap_w\sterling\ico\w_l34a1_f.paa";
		dexterity = 1.8;
		initSpeed = 330;
		descriptionShort = "L34A1 Sterling 9mm SD sub-machinegun. Supplied to SF/SOG. 34 round mag and suppressor, folded stock.";
	};
	class uns_f1_smg: uns_Sterling
	{
		scope = 1; scopeArsenal = 1;
		displayName = "F1 SMG";
		model = "\uns_weap_w\uns_f1_smg\uns_f1_smg";
		picture = "\uns_weap_w\uns_f1_smg\ico\w_f1smg_ca.paa";
		magazines[] = {"uns_f1_smg_mag"};
		magazineReloadTime = 4;
		reloadAction = "uns_gesturereload_f1";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\sterling\uns_f1.rtm"};
		descriptionShort = "Lithgow Arms F-1 9mm sub-machinegun. Used by Australian soldiers. 34 round mag.";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		class Library
		{
			libtextdesc = "Lithgow Arms F-1 9mm sub-machinegun. Used by Australian soldiers. 34 round mag.";
		};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 45;
		};
//sounds
		reloadMagazineSound[] = {"uns_weap_s\Sterling\SterlingMk4_reload",1,1,25};
		class FullAuto: FullAuto
		{
			reloadTime = 0.093; //640rpm
		};
	};