//		class vn_22mm_gl_muzzle;
//		class uns_22mm_gl_muzzle_m1: vn_22mm_gl_muzzle	{};
	class uns_ex41: Uns_Rifle
	{
		scope = 2; scopeArsenal = 2;
		displayName = "China Lake 40mm GL";
		model = "\uns_weap_w\uns_ex41\uns_ex41";
		picture = "\uns_weap_w\uns_ex41\ico\w_ex41.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\ex41\chinalake.rtm"};
		descriptionShort = "China Lake 40mm Pump-action Grenade Launcher";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			class CowsSlot {};
			class MuzzleSlot {};
 			class PointerSlot{};
		};
		class Library
		{
			libTextDesc = "A pump-action grenade launcher developed by the Special Projects Division of the China Lake Naval Weapons Center, which provides equipment to Navy SEALs.  Accurate to 400m.  Ammunition: Holds 4 rounds";
		};
		reloadMagazineSound[] = {"\uns_weap_s\ex41\ex41_reload",1,1,20};
//		reloadMagazineSound[] = {"uns_weap_s\pumpaction\loadammo",1,1,15};
		reloadAction = "uns_pa_GestureReloadAmmo";
		class EventHandlers: DefaultEventHandlers
		{
			class unsung
			{
				fired = "[(_this select 0), 'uns_pa_GestureReloadPump', 'uns_pa_shotgunfired'] spawn uns_weap_fnc_pa_fired";
			};
		};
		cartridgePos = "nabojnicestart";
		cartridgeVel = "nabojniceend";
		class GunParticles 
		{
			class effect1
			{
				positionName = "usti granatometu";
				directionName = "konec granatometu";
				effectName = "GrenadeLauncherCloud";
			};
/*
			class effect2
			{
				positionName = "nabojnicestart";
				directionName = "nabojniceend";
				effectName = "uns_40mm_case";
			};
*/
		};		
//muzzles
		muzzles[] = {"uns_EX41Muzzle","vn_melee_muzzle"};
		class uns_EX41Muzzle: uns_M79Muzzle
		{
			displayName = "China Lake 40mm GL";
			magazines[] = {"uns_ChnLk_he","vn_40mm_m381_he_mag","vn_40mm_m406_he_mag"};
			recoil = "uns_recoil_ugl";
			recoilProne = "uns_recoil_ugl";
//pump action
			reloadAction = "uns_pa_GestureReloadAmmo";
			reloadMagazineSound[] = {"\uns_weap_s\ex41\ex41_reload",1,1,20};
//			reloadMagazineSound[] = {"uns_weap_s\pumpaction\sound\loadammo",1,1,15};
			class EventHandlers: EventHandlers
			{
				class unsung
				{
					fired = "[_this, 'vn_m1897_gesturereloadpump', 'vn_m1897_pumpingsound',false] spawn vn_fnc_bolt_fired"; //fired = "[(_this select 0), 'uns_pa_GestureReloadPump', 'uns_pa_shotgunfired'] spawn uns_weap_fnc_pa_fired";
				};
			};
			cartridgePos = "nabojnicestart";
			cartridgeVel = "nabojniceend";
			class GunParticles 
			{
				class effect1
				{
					positionName = "usti granatometu";
					directionName = "konec granatometu";
					effectName = "GrenadeLauncherCloud";
				};
/*
				class effect2
				{
					positionName = "nabojnicestart";
					directionName = "nabojniceend";
					effectName = "uns_40mm_case";
				};
*/
			};
//zeroing       0

			cameradir = "aim_point";
			discreteDistanceCameraPoint[]={"eye75","eye100","eye125","eye150","eye175","eye200","eye225","eye250","eye275","eye300","eye325","eye350","eye375"};
			discretedistance[] = {75,100,125,150,175,200,225,250,275,300,325,350,375};
			discretedistanceinitindex = 0;
//			discretedistance[] = {100, 200, 400, 600, 800, 1000};
			reloadTime = 0.8;
			magazineReloadTime = 4.5;
			dispersion = 0.01;
			minRange = 25;
			minRangeProbab = 0.4;
			midRange = 250;
			midRangeProbab = 0.9;
			maxRange = 350;
			maxRangeProbab = 0.3;
			descriptionShort = "China Lake 40mm Pump-action Grenade Launcher";
//sounds
			drySound[] = {"\uns_weap_s\ex41\ex41_dry",1,1,20};
			class Single: Single
			{
				class StandardSound: StandardSound
				{
					begin1[] = {"\uns_weap_s\ex41\ex41_fire",2,1,400};
					soundBegin[] = {"begin1",0.5};
				};

			reloadTime = 0.8;
			magazineReloadTime = 4.5;
			dispersion = 0.01;
			minRange = 25;
			minRangeProbab = 0.4;
			midRange = 250;
			midRangeProbab = 0.9;
			maxRange = 375;
			maxRangeProbab = 0.3;
			descriptionShort = "China Lake 40mm Pump-action Grenade Launcher";
			};
		};
	};