
#define _ARMA_
#include "macros.hpp"
#include "radio_ids.hpp"
class CfgPatches
{
	class uns_weap_c
	{
		units[] = {};
		weapons[] = {"uns_mkvFlarePistol","uns_s_M14","uns_o_RedfieldART","uns_o_RedfieldART_m70","uns_o_Unertl8x","uns_o_Unertl8x_m70","uns_o_ANPVS2","uns_o_ANPVS2_M14","uns_model70_iron",
		"uns_model70","uns_model70sd","uns_model70_9x","uns_model70sd_9x","uns_model70nv","uns_model70nvsd","uns_ithaca37","uns_ithaca37_grip","uns_m1903","uns_m1903s","uns_mas36",
		"uns_mas36_gl","uns_mas36bayo","uns_mas36short","uns_mas36short_bayo","uns_mas36short_gl","uns_type99","uns_type99_gl","uns_type99_sniper","uns_type99_sniper_bayo","uns_kar98k","uns_kar98ks"
		,"uns_m1919a6","uns_m20_bazooka","uns_bar","uns_ukvz59","uns_ppk","uns_ppkSD","uns_coltcmdr","uns_m1garand","uns_m1garands","uns_m1garandbayo","uns_m1garand_gl",
		"uns_l1a1","uns_l1a1_bayo","uns_l1a1_enfield","uns_l2a1","uns_l2a1_shorty","uns_l1a1gl","uns_ak47","uns_aks47","uns_aks47f","uns_ak47_bayo","uns_aks47_bayo","uns_sa58p","uns_sa58p_camo","uns_sa58v",
		"uns_sa58vf","uns_sa58p_bayo","uns_sa58v_bayo","uns_ak47_49","uns_ak47_52","uns_ak47_49_bayo","uns_ak47_52_bayo","uns_akm","uns_akm_bayo","uns_akm_SD","uns_akm_drum","uns_akms","uns_akms_bayo","uns_akms_SD",
		"uns_akmsf","uns_akmsf_SD","uns_akms_drum","uns_akms_SD_drum","uns_akmsf_drum","uns_akmsf_SD_drum","uns_svt","uns_STG_44","uns_thompson","uns_uzif","uns_uziuns_uzi_SD","uns_m50","uns_m50f","uns_Sterling",
		"uns_Sterling_f","uns_SterlingSD","uns_SterlingSD_f","uns_type100","uns_ex41","uns_smle","uns_smle_bayo","uns_smle_sniper","uns_smle_sniper_bayo","uns_smle_sniper_camo","uns_xm177e1","uns_M16A1_HBAR","uns_m16a1_m203",
		"uns_M16_M203"};
		requiredVersion = 2.02;
		requiredAddons[] = {"A3_Data_F","A3_Weapons_F","A3_Weapons_F_Acc","A3_Weapons_F_Explosives","A3_Characters_F","A3_Sounds_F","A3_Anims_F","weapons_f_vietnam_c","uns_main"};
		magazines[] = {"uns_ItemSiphon","uns_ItemFuelcan","uns_ItemFuelcanEmpty","uns_12gaugemag_2","uns_12gaugemag_4","uns_12gaugemag_6","uns_12gaugemag_4f","uns_model70mag","uns_model70mag_T"};
		ammo[] = {"Uns_BulletBase","uns_riflebullet_base","Uns_G_napalm","uns_30_06","uns_12gauge_buck","uns_12gauge_flechette"};
	};
};
  #include "FX.hpp"
class Eventhandlers;
class DefaultEventHandlers;
class Mode_SemiAuto;
class Mode_Burst;
class Mode_FullAuto;
class SlotInfo;
class MuzzleSlot: SlotInfo
{
	linkProxy = "\A3\data_f\proxies\weapon_slots\MUZZLE";
	displayName = "$str_a3_cfgweapons_abr_base_f_weaponslotsinfo_muzzleslot0";
	compatibleItems[] += {"uns_s_UZI","uns_s_PPK","uns_s_M14","uns_s_PBS1"};
	iconPicture = "";
};
class CowsSlot: SlotInfo
{
	linkProxy = "\A3\data_f\proxies\weapon_slots\TOP";
	displayName = "$STR_A3_CowsSlot0";
	compatibleItems[] += {"uns_o_RedfieldART","uns_o_RedfieldART_m70","uns_o_Unertl8x","uns_o_Unertl8x_m70","uns_o_LeatherwoodART","uns_o_LeatherwoodART_m14","uns_o_LeatherwoodART_m14_custom","uns_o_LeatherwoodART_m16","uns_o_colt4x","uns_o_ANPVS2","uns_o_ANPVS2_M16","uns_o_ANPVS2_M14","uns_o_M63","uns_o_PSO1","uns_o_PSO1_camo","uns_o_PU","uns_o_zf41","uns_o_APXSOM","uns_o_M84","uns_o_Akatihi4x","uns_o_smle_3x"};
	iconPicture = "";
};
class PointerSlot: SlotInfo
{
	linkProxy = "\A3\data_f\proxies\weapon_slots\SIDE";
	displayName = "$STR_A3_PointerSlot0";
	compatibleItems[] += {"uns_b_m1","uns_b_mas49","uns_b_6H3","uns_b_spike","uns_b_spike17","uns_b_mas49","uns_b_type30","b_kar_m1884","b_smle_1937","uns_b_smle_camo"};
	iconPicture = "";
};
	#include "CfgVehicles.hpp"
	
class CfgWeapons
{
	class ItemCore;
	class muzzle_snds_L;
	class muzzle_snds_m;
	class muzzle_snds_B;
	class InventoryMuzzleItem_Base_F;
	class InventoryFlashLightItem_Base_F;
	class InventoryOpticsItem_Base_F;
	class InventoryUnderItem_Base_F;

	#include "BaseWeapons.hpp"
	#include "WeapCamo.hpp"
	#include "WeapHand.hpp"
	#include "WeapBayo.hpp"
	#include "WeapSuppressor.hpp"
	#include "WeapScopes.hpp"
	#include "WeapRadio.hpp"
	#include "WeapPistols.hpp"
	#include "WeapBoltaction.hpp"
	#include "WeapBoltactionE.hpp"
	#include "WeapShotgun.hpp"
	#include "WeapLMG.hpp"
	#include "WeapHMG.hpp"
	#include "WeapRifle.hpp"
	#include "WeapRifleE.hpp"
	#include "WeapSmg.hpp"
	#include "WeapUgl.hpp"
	#include "WeapLaunchers.hpp"
	
};

class CfgMagazines
{
	class CA_Magazine;
	class uns_Magazine: CA_Magazine
	{
		scope = 0;
		displayName = "";
		nameSound = "magazine";
		type = 256;
		weaponpoolavailable = 1;
		mass = 8;
		value = 1;
		model = "\A3\weapons_F\ammo\mag_univ.p3d";
		modelSpecial = "";
		picture = "";
		ammo = "";
		count = 30;
		initSpeed = 900;
		useAction = 0;
		useActionTitle = "";
		reloadAction = "";
		selectionFireAnim = "zasleh";
		maxLeadSpeed = 23;
	};
	class uns_IMagazine: uns_Magazine
	{
		scope = 0;
		type = 16;
		mass = 2;
	};
	class uns_Riflemag_base: uns_Magazine
	{
		scope = 0;
		type = 256;
		mass = 12;
		displayName = "";
		picture = "";
		ammo = "vn_762x51";
		count = 20;
		initSpeed = 850;
		descriptionShort = "";
		tracersEvery = 4;
		lastRoundsTracer = 4;
	};
	class uns_LMGmag_base: uns_Magazine
	{
		scope = 0;
		type = "2 * 256";
		displayName = "";
		picture = "";
		ammo = "uns_762x54_Russian";
		count = 30;
		mass = 25;
		initSpeed = 840;
		descriptionShort = "";
		tracersEvery = 4;
		lastRoundsTracer = 5;
		nameSound = "mgun";
	};
	class uns_SMGmag_base: uns_Magazine
	{
		scope = 0;
		type = 256;
		mass = 8;
		displayName = "";
		picture = "";
		ammo = "";
		count = 32;
		initSpeed = 350;
		descriptionShort = "";
		tracersEvery = 4;
		lastRoundsTracer = 4;
	};
	class vn_lmagazine;
	class uns_LMagazine: vn_lmagazine
	{
		scope = 0;
		type = "2* 256";
		mass = 30;
		count = 1;
		picture = "";
		nameSound = "handgrenade";
		allowedSlots[] = {901};
		model = "";
		value = 5;
		initSpeed = 5;
	};	
	class uns_pistolmag_base: uns_Magazine
	{
		scope = 0;
		type = 16;
		mass = 6;
		displayName = "";
		picture = "";
		ammo = "";
		count = 6;
		initSpeed = 299;
		descriptionShort = "";
		tracersEvery = 0;
	};	
	
	#include "MagsItem.hpp"
	#include "MagsBoltaction.hpp"
	#include "MagsBoltactionE.hpp"
	#include "MagsShotgun.hpp"
	#include "MagsRifle.hpp"
	#include "MagsRifleE.hpp"
	#include "MagsLmg.hpp"
	#include "MagsHmg.hpp"
	#include "MagsPistol.hpp"
	#include "MagsSmg.hpp"
	#include "MagsLauncher.hpp"
	#include "MagsUgl.hpp"
};

class CfgAmmo
{
	class BulletBase;
	class GrenadeBase;
	class ShotgunBase;
	class vn_shotgunbase;
	class vn_BulletBase;
	class vn_pistolbullet_base;
	class vn_m10_ammo;
	class uns_pistolbullet_base: vn_pistolbullet_base {};
	class Uns_BulletBase: vn_BulletBase{};
	class uns_riflebullet_base: Uns_BulletBase
	{
		aiAmmoUsageFlags = "64 + 128 +256 + 512";
		hit = 8;
		indirectHit = 0;
		indirectHitRange = 0;
		cost = 1;
		typicalSpeed = 920;
		airFriction = -0.0012;
		waterFriction = -0.3;
		caliber = 0.7;
		deflecting = 20;
		model = "\A3\Weapons_f\Data\bullettracer\tracer_red";
		cartridge = "FxCartridge_762";
		tracerScale = 1;
		tracerStartTime = 0.05;
		tracerEndTime = 1;
		visibleFire = 6;
		audibleFire = 9;
		dangerRadiusBulletClose = 8;
		dangerRadiusHit = 12;
		suppressionRadiusBulletClose = 6;
		suppressionRadiusHit = 8;
		nvgOnly = 0;
		class CamShakeExplode
		{
			power = "(5^0.5)";
			duration = "((round (5^0.5))*0.2 max 0.2)";
			frequency = 20;
			distance = "((5^0.5)*3)";
		};
		class CamShakeHit
		{
			power = 5;
			duration = "((round (5^0.25))*0.2 max 0.2)";
			frequency = 20;
			distance = 1;
		};
	};
	class Uns_G_napalm: vn_m10_ammo {}; //GrenadeBase
	
/*	{
		simulation = "shotShell";
		model = "\A3\weapons_f\ammo\UGL_slug";
		hit = 20;
		indirectHit = 10;
		indirectHitRange = 6;
		caliber = 2;
		visibleFire = 16;
		audibleFire = 18;
		visibleFireTime = 3;
		explosive = 1;
		cost = 0.9;
		deflecting = 0;
		airFriction = -0.025;
		typicalSpeed = 185;
		fuseDistance = 11;
		whistleDist = 5;
		displayNameshort = "Napalm";
		cartridge = "";
		dangerRadiusHit = 90;
		suppressionRadiusHit = 50;
		SoundSetExplosion[] = {"napalm_grenade_SoundSet","Explosion_Debris_SoundSet"};
		explosionEffects = "Uns_NapalmJet";
		effectFly = "uns_flamethrower";
		soundHit[] = {"\uns_missilebox_s\explosions\JSRS_Studios_Napalm-rubble-explosion-impact-002.wav",20,1,2500};
		muzzleEffect = "BIS_fnc_effectFiredRocket";
		class CamShakeExplode
		{
			power = "(40*0.2)";
			duration = "((round (40^0.5))*0.2 max 0.2)";
			frequency = 20;
			distance = "((3 + 40^0.5)*8)";
		};
		class CamShakeHit
		{
			power = 20;
			duration = "((round (20^0.25))*0.2 max 0.2)";
			frequency = 20;
			distance = 1;
		};
		class CamShakeFire
		{
			power = "(0^0.25)";
			duration = "((round (0^0.5))*0.2 max 0.2)";
			frequency = 20;
			distance = "((0^0.5)*8)";
		};
		class CamShakePlayerFire
		{
			power = 0;
			duration = 0.1;
			frequency = 20;
			distance = 1;
		};
	};*/

	#include "AmmoPistol.hpp"
	#include "AmmoRifle.hpp"
	#include "AmmoShotgun.hpp"
	#include "AmmoLaunchers.hpp"
	#include "AmmoSmgE.hpp"
	#include "AmmoUgl.hpp"

};
#include "Recoils.hpp"

class CfgFunctions
{
	class uns_weap
	{
		class weapon_functions
		{
			file = "uns_weap_c\functions";
			class pa_fired{};
			class ammoEmpty{};
			class m1ping {};
		};
	};
};