class CfgCloudlets
{
	class Default;
	class uns_MissileNormal: Default
	{
		interval = 0.001;
		circleRadius = 0;
		circleVelocity[] = {0,0,0};
		angleVar = 1;
		particleFSLoop = 0;
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 12;
		particleFSFrameCount = 8;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 1;
		moveVelocity[] = {0,0,0};
		rotationVelocity = 1;
		weight = 1;
		volume = 0.8;
		rubbing = 0.5;
		size[] = {1.5,2.5,3};
		color[] = {{0.4,0.4,0.4,0.75},{0.95,0.95,0.95,0.3},{1,1,1,0}};
		animationSpeed[] = {5};
		randomDirectionPeriod = 0.1;
		randomDirectionIntensity = 0.1;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 0.5;
		positionVar[] = {0.3,0.3,0.3};
		MoveVelocityVar[] = {0.4,0.4,0.4};
		rotationVelocityVar = 1;
		sizeVar = 0.3;
		colorVar[] = {0,0,0,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
	};
	class uns_MissileBig: uns_MissileNormal
	{
		volume = 1.6;
		lifeTime = 15;
		size[] = {2.5,3.5,4};
		color[] = {{0.2,0.2,0.2,0.8},{0.85,0.85,0.85,0.3},{1,1,1,0}};
	};
	class uns_MissileSmall: uns_MissileNormal
	{
		volume = 0.2;
		lifeTime = 7;
		size[] = {0.75,1.25,1.5};
		color[] = {{0.2,0.2,0.2,0.8},{0.85,0.85,0.85,0.3},{1,1,1,0}};
	};
	class uns_flamer: uns_MissileNormal
	{
		volume = 1.6;
		lifeTime = 15;
		size[] = {2.5,3.5,4};
		color[] = {{0.8,0.8,0.8,0.8},{0.93,0.76,0.18,0.3},{0.43,0.34,0.06,0}};
	};
	class uns_WPTrails_napalm: Default
	{
		interval = 0.0085;
		circleRadius = 28;
		circleVelocity[] = {5,7,5};
		particleShape = "\A3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 13;
		particleFSIndex = 4;
		particleFSFrameCount = 4;
		particleFSLoop = 0;
		angleVar = 1;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 10;
		moveVelocity[] = {0,10,0};
		rotationVelocity = 0.3;
		weight = 25;
		volume = 2;
		rubbing = 0.1;
		size[] = {0.75};
		sizeCoef = 1;
		color[] = {{1,1,0.6,-50}};
		colorCoef[] = {1,1,1,1};
		animationSpeed[] = {1000};
		randomDirectionPeriod = 1;
		randomDirectionIntensity = 0;
		onTimerScript = "";
		beforeDestroyScript = "";
		particleEffects = "SmokeTrailEffectMain1";
		lifeTimeVar = 0.5;
		positionVar[] = {2,2,2};
		MoveVelocityVar[] = {10,5,10};
		rotationVelocityVar = 20;
		sizeVar = 0.3;
		colorVar[] = {0,0,0,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
		bounceOnSurface = 0.5;
		postEffects = "IEDMineFlame";
	};
	class uns_NapalmCloud: Default
	{
		interval = "0.009 * interval + 0.009";
		circleRadius = 25;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 1;
		particleFSFrameCount = 16;
		particleFSLoop = 1;
		angleVar = 0.3;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 6;
		moveVelocity[] = {-10,19,-10};
		rotationVelocity = 0;
		weight = 0.03;
		volume = 0.04;
		rubbing = 0.1;
		size[] = {6,20};
		color[] = {{1,1,1,0},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-0.5}};
		animationSpeed[] = {0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.2;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 3;
		positionVar[] = {"0.25 + 1 * intensity",0.3,"0.25 + 1 * intensity"};
		MoveVelocityVar[] = {0.1,0.1,0.1};
		rotationVelocityVar = 20;
		sizeVar = 0.25;
		colorVar[] = {0,0,0,0.3};
		randomDirectionPeriodVar = 0.2;
		randomDirectionIntensityVar = 0.05;
	};
	class uns_NapalmCloud2: Default
	{
		interval = "0.009 * interval + 0.009";
		circleRadius = 25.5;
		circleVelocity[] = {0,3,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 7;
		particleFSFrameCount = 48;
		particleFSLoop = 1;
		angleVar = 0.3;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = "1.12 * intensity + 2";
		moveVelocity[] = {0,3,0};
		rotationVelocity = 0;
		weight = 1;
		volume = 0.1;
		rubbing = 0.05;
		size[] = {"2.25 * intensity + 26","1.3 * intensity + 10","2.4 * intensity + 10"};
		color[] = {{0.01,"0.01.",0.01,0.8},{0.2,0.2,0.2,0.5},{0.2,0.2,0.2,0.4},{0.2,0.2,0.2,0.2},{0.2,0.2,0.2,0}};
		animationSpeed[] = {1.5,0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.05;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 3;
		positionVar[] = {"0.25 + 1 * intensity",0.3,"0.25 + 1 * intensity"};
		MoveVelocityVar[] = {0.1,0.1,0.1};
		rotationVelocityVar = 20;
		sizeVar = 0.25;
		colorVar[] = {0,0,0,0.3};
		randomDirectionPeriodVar = 0.2;
		randomDirectionIntensityVar = 0.05;
	};
	class uns_NapalmFuelSmoke: Default
	{
		interval = "0.009 * interval + 0.009";
		circleRadius = 28;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 7;
		particleFSFrameCount = 48;
		particleFSLoop = 1;
		angleVar = 0.3;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = "1.12 * intensity + 5";
		moveVelocity[] = {0,3,0};
		rotationVelocity = 0;
		weight = 0.0408;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"2.25 * intensity + 6","2.3 * intensity + 16","2.4 * intensity + 26"};
		color[] = {{0.01,"0.01.",0.01,0.8},{0.02,0.02,0.02,0.5},{0.2,0.2,0.2,0.4},{0.2,0.2,0.2,0.3},{0.2,0.2,0.2,0.2}};
		animationSpeed[] = {1.5,0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.05;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 3;
		positionVar[] = {"0.25 + 1 * intensity",0.3,"0.25 + 1 * intensity"};
		MoveVelocityVar[] = {0.1,0.1,0.1};
		rotationVelocityVar = 20;
		sizeVar = 0.25;
		colorVar[] = {0,0,0,0.3};
		randomDirectionPeriodVar = 0.2;
		randomDirectionIntensityVar = 0.05;
	};
	class uns_NapalmFuelFire: Default
	{
		interval = "0.008 * fireInterval + 0.008";
		circleRadius = 24;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 10;
		particleFSFrameCount = 32;
		particleFSLoop = 1;
		angleVar = 1;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 3;
		lifeTime = 2;
		moveVelocity[] = {0,2,0};
		rotationVelocity = 0;
		weight = 0.08;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"2.25 * intensity + 2","2.25 * intensity + 0.6"};
		color[] = {{1,1,1,0},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,0}};
		animationSpeed[] = {0.7,1};
		randomDirectionPeriod = 0;
		randomDirectionIntensity = 0;
		onTimerScript = "";
		lifeTimeVar = 0.7;
		positionVar[] = {"2 + 1.1 * intensity",0.3,"2 + 1.1 * intensity"};
		moveVelocityVar[] = {0.1,1.2,0.1};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0.1,0.1,0.1,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
		damageType = "Fire";
		coreIntensity = 6.25;
		coreDistance = 6.0;
		damageTime = 0.1;
	};
	class uns_NapalmFuelFiremed: Default
	{
		interval = "0.008 * fireInterval + 0.008";
		circleRadius = 22;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 10;
		particleFSFrameCount = 32;
		particleFSLoop = 1;
		angleVar = 1;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 3;
		lifeTime = 8;
		moveVelocity[] = {0,2,0};
		rotationVelocity = 0;
		weight = 0.08;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"2.25 * intensity + 2","2.25 * intensity + 0.6"};
		color[] = {{1,1,1,0},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,0}};
		animationSpeed[] = {0.7,1};
		randomDirectionPeriod = 0;
		randomDirectionIntensity = 0;
		onTimerScript = "";
		lifeTimeVar = 0.7;
		positionVar[] = {"2 + 1.1 * intensity",0.3,"2 + 1.1 * intensity"};
		moveVelocityVar[] = {0.1,1.2,0.1};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0.1,0.1,0.1,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
		damageType = "Fire";
		coreIntensity = 6.25;
		coreDistance = 6.0;
		damageTime = 0.1;
	};
	class uns_NapalmFuelFiresmall: Default
	{
		interval = "0.008 * fireInterval + 0.008";
		circleRadius = 10;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 10;
		particleFSFrameCount = 32;
		particleFSLoop = 1;
		angleVar = 1;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 3;
		lifeTime = 2;
		moveVelocity[] = {0,2,0};
		rotationVelocity = 0;
		weight = 0.08;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"1.25 * intensity + 2","1.25 * intensity + 0.6"};
		color[] = {{1,1,1,0},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,0}};
		animationSpeed[] = {0.7,1};
		randomDirectionPeriod = 0;
		randomDirectionIntensity = 0;
		onTimerScript = "";
		lifeTimeVar = 0.7;
		positionVar[] = {"2 + 2.1 * intensity",0.3,"2 + 2.1 * intensity"};
		moveVelocityVar[] = {0.1,1.2,0.1};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0.1,0.1,0.1,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
		damageType = "Fire";
		coreIntensity = 6.25;
		coreDistance = 6.0;
		damageTime = 0.1;
	};
	class uns_NapalmFireBallbright: Default
	{
		interval = "0.005 * interval + 0.005";
		circleRadius = 20;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 0;
		particleFSFrameCount = 32;
		particleFSLoop = 0;
		angleVar = 360;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 2;
		moveVelocity[] = {0,5,0};
		rotationVelocity = 0;
		weight = 0.03;
		volume = 0.04;
		rubbing = 0.1;
		size[] = {"0.125 * intensity + 4","0.125 * intensity + 20"};
		color[] = {{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-0.5}};
		animationSpeed[] = {0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.2;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 1;
		positionVar[] = {2,2,2};
		MoveVelocityVar[] = {3,5,3};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0,0,0,2};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
		damageType = "Fire";
		coreIntensity = 6.25;
		coreDistance = 6.0;
		damageTime = 0.1;
	};
	class uns_NapalmFireBallbright2: Default
	{
		interval = "0.009 * interval + 0.009";
		circleRadius = 10;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 0;
		particleFSFrameCount = 32;
		particleFSLoop = 0;
		angleVar = 360;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 2;
		moveVelocity[] = {0,5,0};
		rotationVelocity = 0;
		weight = 0.03;
		volume = 0.04;
		rubbing = 0.1;
		size[] = {"0.125 * intensity + 4","0.125 * intensity + 20"};
		color[] = {{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-0.5}};
		animationSpeed[] = {0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.2;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 1;
		positionVar[] = {2,2,2};
		MoveVelocityVar[] = {3,5,3};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0,0,0,2};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
		damageType = "Fire";
		coreIntensity = 6.25;
		coreDistance = 6.0;
		damageTime = 0.1;
	};
	class NapalmCloud: Default
	{
		interval = "0.009 * interval + 0.009";
		circleRadius = 14;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 7;
		particleFSFrameCount = 48;
		particleFSLoop = 1;
		angleVar = 0.3;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = "1.12 * intensity + 2";
		moveVelocity[] = {0,3,0};
		rotationVelocity = 0;
		weight = 1;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"1.25 * intensity + 13","1.3 * intensity + 5","1.4 * intensity + 5"};
		color[] = {{0.01,"0.01.",0.01,0.8},{0.2,0.2,0.2,0.5},{0.2,0.2,0.2,0.4},{0.2,0.2,0.2,0.2},{0.2,0.2,0.2,0}};
		animationSpeed[] = {1.5,0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.05;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 3;
		positionVar[] = {"0.25 + 1 * intensity",0.3,"0.25 + 1 * intensity"};
		MoveVelocityVar[] = {0.1,0.1,0.1};
		rotationVelocityVar = 20;
		sizeVar = 0.25;
		colorVar[] = {0,0,0,0.3};
		randomDirectionPeriodVar = 0.2;
		randomDirectionIntensityVar = 0.05;
	};
	class NapalmFuelSmoke: Default
	{
		interval = "0.009 * interval + 0.009";
		circleRadius = 14;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 7;
		particleFSFrameCount = 48;
		particleFSLoop = 1;
		angleVar = 0.3;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = "1.12 * intensity + 5";
		moveVelocity[] = {0,3,0};
		rotationVelocity = 0;
		weight = 0.0408;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"1.25 * intensity + 3","1.3 * intensity + 8","1.4 * intensity + 13.5"};
		color[] = {{0.01,"0.01.",0.01,0.8},{0.02,0.02,0.02,0.5},{0.2,0.2,0.2,0.4},{0.2,0.2,0.2,0.3},{0.2,0.2,0.2,0.2}};
		animationSpeed[] = {1.5,0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.05;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 3;
		positionVar[] = {"0.25 + 1 * intensity",0.3,"0.25 + 1 * intensity"};
		MoveVelocityVar[] = {0.1,0.1,0.1};
		rotationVelocityVar = 20;
		sizeVar = 0.25;
		colorVar[] = {0,0,0,0.3};
		randomDirectionPeriodVar = 0.2;
		randomDirectionIntensityVar = 0.05;
	};
	class NapalmFuelFire: Default
	{
		interval = "0.008 * fireInterval + 0.008";
		circleRadius = 14;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 10;
		particleFSFrameCount = 32;
		particleFSLoop = 1;
		angleVar = 1;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 3;
		lifeTime = 2;
		moveVelocity[] = {0,2,0};
		rotationVelocity = 0;
		weight = 0.08;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"1.25 * intensity + 1","1.25 * intensity + 0.3"};
		color[] = {{1,1,1,0},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,0}};
		animationSpeed[] = {0.7,1};
		randomDirectionPeriod = 0;
		randomDirectionIntensity = 0;
		onTimerScript = "";
		lifeTimeVar = 0.7;
		positionVar[] = {"2 + 1.1 * intensity",0.3,"2 + 1.1 * intensity"};
		moveVelocityVar[] = {0.1,1.2,0.1};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0.1,0.1,0.1,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
	};
	class NapalmFuelFiremed: Default
	{
		interval = "0.008 * fireInterval + 0.008";
		circleRadius = 12;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 10;
		particleFSFrameCount = 32;
		particleFSLoop = 1;
		angleVar = 1;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 3;
		lifeTime = 2;
		moveVelocity[] = {0,2,0};
		rotationVelocity = 0;
		weight = 0.08;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"1.25 * intensity + 1","1.25 * intensity + 0.3"};
		color[] = {{1,1,1,0},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,0}};
		animationSpeed[] = {0.7,1};
		randomDirectionPeriod = 0;
		randomDirectionIntensity = 0;
		onTimerScript = "";
		lifeTimeVar = 0.7;
		positionVar[] = {"2 + 1.1 * intensity",0.3,"2 + 1.1 * intensity"};
		moveVelocityVar[] = {0.1,1.2,0.1};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0.1,0.1,0.1,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
	};
	class NapalmFuelFiresmall: Default
	{
		interval = "0.008 * fireInterval + 0.008";
		circleRadius = 5;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 10;
		particleFSFrameCount = 32;
		particleFSLoop = 1;
		angleVar = 1;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 3;
		lifeTime = 2;
		moveVelocity[] = {0,2,0};
		rotationVelocity = 0;
		weight = 0.08;
		volume = 0.04;
		rubbing = 0.05;
		size[] = {"1.25 * intensity + 1","1.25 * intensity + 0.3"};
		color[] = {{1,1,1,0},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,0}};
		animationSpeed[] = {0.7,1};
		randomDirectionPeriod = 0;
		randomDirectionIntensity = 0;
		onTimerScript = "";
		lifeTimeVar = 0.7;
		positionVar[] = {"2 + 1.1 * intensity",0.3,"2 + 1.1 * intensity"};
		moveVelocityVar[] = {0.1,1.2,0.1};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0.1,0.1,0.1,0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
	};
	class NapalmFireBallbright: Default
	{
		interval = "0.005 * interval + 0.005";
		circleRadius = 12;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 0;
		particleFSFrameCount = 32;
		particleFSLoop = 0;
		angleVar = 360;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 2;
		moveVelocity[] = {0,5,0};
		rotationVelocity = 0;
		weight = 0.03;
		volume = 0.04;
		rubbing = 0.1;
		size[] = {"0.0125 * intensity + 2","0.0125 * intensity + 10"};
		color[] = {{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-0.5}};
		animationSpeed[] = {0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.2;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 1;
		positionVar[] = {2,2,2};
		MoveVelocityVar[] = {3,5,3};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0,0,0,2};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
	};
	class NapalmFireBallbright2: Default
	{
		interval = "0.009 * interval + 0.009";
		circleRadius = 5;
		circleVelocity[] = {0,0,0};
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 0;
		particleFSFrameCount = 32;
		particleFSLoop = 0;
		angleVar = 360;
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 2;
		moveVelocity[] = {0,5,0};
		rotationVelocity = 0;
		weight = 0.03;
		volume = 0.04;
		rubbing = 0.1;
		size[] = {"0.0125 * intensity + 2","0.0125 * intensity + 10"};
		color[] = {{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-1},{1,1,1,-0.5}};
		animationSpeed[] = {0.5};
		randomDirectionPeriod = 0.2;
		randomDirectionIntensity = 0.2;
		onTimerScript = "";
		beforeDestroyScript = "";
		lifeTimeVar = 1;
		positionVar[] = {2,2,2};
		MoveVelocityVar[] = {3,5,3};
		rotationVelocityVar = 0;
		sizeVar = 0.2;
		colorVar[] = {0,0,0,2};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
	};
	class HeavyGunCartridge1;
	class uns_40mm_Case: HeavyGunCartridge1 
	{
		particleShape = "\uns_weap_w\uns_xm177\uns_40mm_case";
//		particleShape = "\brdm2imp\data\_shell40mm.p3d";
		size[] = {1, 1, 1};
		sizeVar = 0;
		lifeTime = 10;
		moveVelocity[] = {"-directionX * 6", "- directionY * 6", "- directionZ * 3"};
	};	
};
	class Missile1; //: Default {};
	class uns_flametrail: Missile1
	{
		interval = "0.002";
		circleRadius = 0;
		circleVelocity[] = {0, 0, 0};
		angleVar = 1;
		particleFSLoop = 0;
		particleShape = "\a3\data_f\ParticleEffects\Universal\Universal";
		particleFSNtieth = 16;
		particleFSIndex = 2; // row 2 (ordinal) = flame begin
		particleFSFrameCount = 64; // numframes to display (4 rows @ 16/row)
		animationName = "";
		particleType = "Billboard";
		timerPeriod = 1;
		lifeTime = 3.600000;
		moveVelocity[] = {0, 0, 0};
		rotationVelocity = 1;
		weight = 1;
		volume = 0.800000;
		rubbing = 0.500000;
		size[] = {1, 2.5, 3.5};
		color[] = {
			{ 0.3,0.3,0.3,0.35 },
			{ 0.4,0.4,0.4,0.1 },
			{ 0.8,0.8,0.8,0 }};
		animationSpeed[] = {1};
		randomDirectionPeriod = 0.1;
		randomDirectionIntensity = 0.1;
		onTimerScript = ""; // can use this to exec a script...
		beforeDestroyScript = ""; // can use this to exec a script...
		lifeTimeVar = 1;
		positionVar[] = {0.3, 0.3, 0.3};
		MoveVelocityVar[] = {1, 1, 1};
		rotationVelocityVar = 20;
		sizeVar = 0.400000;
		colorVar[] = {0, 0, 0, 0};
		randomDirectionPeriodVar = 0;
		randomDirectionIntensityVar = 0;
	};
class Uns_NapalmFuelExplosion
{
	class napalm_LightExp
	{
		simulation = "light";
		type = "uns_NAPALM_ExploLight";
		position[] = {0,0,0};
		intensity = 2;
		interval = 1;
		lifeTime = 20;
	};
	class napalm_FireLight
	{
		simulation = "light";
		type = "SmallFireLight";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 20;
	};
	class napalm_WPTrailEffect
	{
		simulation = "particles";
		type = "uns_WPTrails_napalm";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 0.5;
	};
	class napalm_Sound
	{
		simulation = "sound";
		type = "Fire";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 20;
	};
	class napalm_Fire1
	{
		simulation = "particles";
		type = "uns_NapalmFuelFire";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 20;
	};
	class napalm_Fire2
	{
		simulation = "particles";
		type = "uns_NapalmFuelFiremed";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 16;
	};
	class napalm_Fire3
	{
		simulation = "particles";
		type = "uns_NapalmFuelFiresmall";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 19;
	};
	class napalm_FireBall
	{
		simulation = "particles";
		type = "uns_NapalmFireBallbright";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 8;
	};
	class napalm_FireBall2
	{
		simulation = "particles";
		type = "uns_NapalmFireBallbright2";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 10;
	};
	class napalm_Smoke
	{
		simulation = "particles";
		type = "uns_NapalmCloud";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 7;
	};
	class napalm_Smoke2
	{
		simulation = "particles";
		type = "uns_NapalmCloud2";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 8;
	};
	class napalm_Tall_Smoke
	{
		simulation = "particles";
		type = "uns_NapalmFuelSmoke";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 20;
	};
};

class uns_AAMissileExplosion
{
	class ImpactSparks1
	{
		simulation = "particles";
		type = "ExpSparks";
		position[] = {0,0,0};
		intensity = 0.01;
		interval = 1;
		lifeTime = 0.5;
	};
	class ExploAmmoStones1
	{
		simulation = "particles";
		type = "DirtSmall";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
	class ExploAmmoStones2
	{
		simulation = "particles";
		type = "DirtSmall";
		position[] = {0,2,0};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
	class ExploAmmoStones3
	{
		simulation = "particles";
		type = "DirtSmall";
		position[] = {2,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
	class ExploAmmoStones4
	{
		simulation = "particles";
		type = "DirtSmall";
		position[] = {0,-3,0};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
	class LightExp
	{
		simulation = "light";
		type = "ExploLight";
		position[] = {0,0,0};
		intensity = 0.001;
		interval = 1;
		lifeTime = 0.5;
	};
	class SmallSmoke1
	{
		simulation = "particles";
		type = "ImpactDustPlaster";
		position[] = {0,0,0};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
	class CircleDust1
	{
		simulation = "particles";
		type = "CircleDustMed";
		position[] = {0,0,0};
		intensity = 0.3;
		interval = 1;
		lifeTime = 1;
	};
};
class uns_Missile1
{
	class Light1
	{
		simulation = "light";
		type = "RocketLight";
		position[] = {0,-1,0};
		intensity = 0.01;
		interval = 1;
		lifeTime = 1;
	};
	class uns_Missile1
	{
		simulation = "particles";
		type = "uns_MissileNormal";
		position[] = {0,-1,0};
		intensity = 1;
		interval = 0.01;
		lifeTime = 10;
	};
	class MissileFire
	{
		simulation = "particles";
		type = "MissileFire";
		position[] = {0,-1,0};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
};
class uns_Missile2
{
	class Light2
	{
		simulation = "light";
		type = "RocketLight";
		position[] = {0,-1,0};
		intensity = 0.01;
		interval = 1;
		lifeTime = 1;
	};
	class uns_Missile2
	{
		simulation = "particles";
		type = "uns_MissileBig";
		position[] = {0,-1,0};
		intensity = 1;
		interval = 0.01;
		lifeTime = 15;
	};
	class MissileFire
	{
		simulation = "particles";
		type = "MissileFire";
		position[] = {0,-1,0};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
};
class CfgLights
{
	class uns_NAPALM_ExploLight
	{
		name = "Explosion Car";
		diffuse[] = {1,0.6,0.4};
		color[] = {1,0.6,0.4};
		ambient[] = {0,0,0,0};
		brightness = 800;
		size = 1;
		intensity = 100000;
		drawLight = 0;
		blinking = 0;
		class Attenuation
		{
			start = 4;
			constant = 0;
			linear = 0;
			quadratic = 0.2;
			hardLimitStart = 1000;
			hardLimitEnd = 2000;
		};
		position[] = {0,4.5,0};
	};
	class ExploLight10
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.05;
	};
	class ExploLight15
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.055;
	};
	class ExploLight20
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.06;
	};
	class ExploLight25
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.065;
	};
	class ExploLight30
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.07;
	};
	class ExploLight35
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.075;
	};
	class ExploLight40
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.08;
	};
	class ExploLight45
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.085;
	};
	class ExploLight50
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.09;
	};
	class ExploLight55
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.095;
	};
	class ExploLight60
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.1;
	};
	class ExploLight65
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.115;
	};
	class ExploLight70
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.12;
	};
	class ExploLight75
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.125;
	};
	class ExploLight80
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.13;
	};
	class ExploLight85
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.135;
	};
	class ExploLight90
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.14;
	};
	class ExploLight95
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.145;
	};
	class ExploLight100
	{
		color[] = {20,20,16};
		ambient[] = {1,1,0.8};
		diffuse[] = {0,0,0};
		brightness = 0.15;
	};	
	class uns_SparksLightCBU
	{
		diffuse[] = {1,0.8,0.8};
		color[] = {1,0.8,0.8};
		ambient[] = {0,0,0,0};
		brightness = 200;
		size = 1;
		intensity = 100000;
		drawLight = 0;
		blinking = 0;
		class Attenuation
		{
			start = 1;
			constant = 0;
			linear = 0;
			quadratic = 4;
			hardLimitStart = 1000;
			hardLimitEnd = 2000;
		};
		position[] = {0,0,0};
		dayLight = 1;			// boolean (0/1). Is light shown during daylight.
		useFlare = 1;			// boolean (0/1). Is light having a flare effect
		flareSize = 1;
	};	
};
class uns_flamethrower
{
	class LightOne
	{
		simulation = "light";
		type = "RocketLight";
		position[] = {0,0,0};
		intensity = 0.1;
		interval = 1;
		lifeTime = 1;
	};
	class uns_MissileOne
	{
		simulation = "particles";
		type = "uns_flametrail";
		position[] = {0,0,0};
		intensity = 1;
		interval = 0.01;
		lifeTime = 10;
	};
/*	class MissileFire
	{
		simulation = "particles";
		type = "MissileFire";
		position[] = {0,-2.7,-0.26};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
	class MissileFire2
	{
		simulation = "particles";
		type = "MissileFire";
		position[] = {0,-0.9,-0.82};
		intensity = 1;
		interval = 1;
		lifeTime = 1;
	};
	class uns_MissileOne2
	{
		simulation = "particles";
		type = "uns_MissileNormal";
		position[] = {0,-0.9,-0.82};
		intensity = 0.1;
		interval = 0.01;
		lifeTime = 30;
	};*/
};
class uns_40mm_Case
{
	class uns_40mm_Case 
	{
		simulation = "particles";
		type = "uns_40mm_Case";
		position[] = { 0, 0, 0 };
		intensity = 1;
		interval = 1;
		lifeTime = 0.05;
		qualityLevel = 2;
	};
	class uns_40mm_CaseMed 
	{
		simulation = "particles";
		type = "uns_40mm_Case";
		position[] = { 0, 0, 0 };
		intensity = 1;
		interval = 1;
		lifeTime = 0.05;
		qualityLevel = 1;
	};
};