
	class uns_model70_base: uns_Rifle_boltaction_base
	{
		scope = 0;
		scopeArsenal = 0;
		displayName = "Winch. Model 70";
		model = "\uns_weap_w\uns_model70\uns_model_70";
		hiddenselections[] = {"camo1"};
		hiddenSelectionsTextures[] = {"\uns_weap_w\uns_model70\skins\uns_model70_stock_co.paa"};
		picture = "\uns_weap_w\uns_model70\ico\w_model70.paa";
		UiPicture = "\uns_men_c\icon\UStroops\i_sniper_CA.paa";
		magazines[] = {"uns_model70mag","uns_model70mag_T"};
		descriptionShort = "Winchester Model 70 Sniper Rifle, fitted with a 8x Unertl scope and firing 30-06 match grade ammunition.";
		magazineReloadTime = 3.0;
		memoryPointCamera = "eye";
		cameradir = "aim_point";
		discretedistance[] = {100,200,300,400,500,600};
		discretedistanceinitindex = 2;
		discreteDistanceCameraPoint[] = {"eye","eye2","eye3","eye4","eye5","eye6"};
		dexterity = 1.57;
		recoil = "uns_recoil_fusil";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		class WeaponSlotsInfo
		{
			mass = 110;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {"uns_s_M14"};
				iconPosition[] = {0.0,0.45};
				iconScale = 0.2;
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {"uns_o_Unertl8x_m70","uns_o_RedfieldART_m70","uns_o_ANPVS2_M14"};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"uns_b_m70_camo"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
		
		class Library
		{
			libtextdesc = "The Winchester Model 70 had remained in the militarys inventory from WWII, albeit as a match rifle, until the escalation of the war in Vietnam, which resulted in a renewed emphasis on accurate sniper rifles. The Model 70 rifles sent to Vietnam for use as sniping arms were from the stocks originally procured for Marine Corps match use with the heavy barrel and the heavy Marksman stock.  They were usually fitted with an 8X Unertl scope, originally a WWII scope. While the USMC used the Model 70 to greatest advantage during this period, a limited number were also employed by Army personnel for sniping, and Model 70s with silencers mounted on them were utilized for covert operations in Southeast Asia.";
		};
		modes[] = {"Single","AImode1","AImode2"};
		class Single: Single
		{
			sounds[] = {"StandardSound","SilencedSound"};	
			class StandardSound : StandardSound
			{
				soundsetshot[] = {"m70_Shot_SoundSet","m70_tail_SoundSet"};
			};
			class SilencedSound : SilencedSound
			{
				begin1[] = {"A3\sounds_f\weapons\silenced\silent-23", 1.0, 1, 200};
				begin2[] = {"A3\sounds_f\weapons\silenced\silent-24", 1.0, 1, 200};
				soundBegin[] = {"begin1", 0.5, "begin2", 0.5};
			};
			reloadTime = 2.2;
			dispersion = 0.00025;
			recoil = "recoil_single_ebr";
			recoilProne = "recoil_single_prone_ebr";
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 350;
			midRangeProbab = 0.7;
			maxRange = 500;
			maxRangeProbab = 0.05;
		};
		class AImode1: Single
		{
			burst = 2;
			reloadTime = 2.2;
			aiDispersionCoefY = 0.5;
			aiDispersionCoefX = 0.5;
			dispersion = 0.012;
			minRange = 0.1;
			minRangeProbab = 0.5;
			midRange = 30;
			midRangeProbab = 0.7;
			maxRange = 60;
			maxRangeProbab = 0.2;
			showToPlayer = 0;
			aiRateOfFire = 1.5;
			aiRateOfFireDistance = 60;
		};
		class AImode2: AImode1
		{
			burst = 1;
			aiDispersionCoefY = 0.5;
			aiDispersionCoefX = 0.5;
			dispersion = 0.012;
			minRange = 50;
			minRangeProbab = 0.5;
			midRange = 70;
			midRangeProbab = 0.7;
			maxRange = 500;
			maxRangeProbab = 0.2;
			showToPlayer = 0;
			aiRateOfFire = 2;
			aiRateOfFireDistance = 180;
		};
	};
	class uns_model70_iron: uns_model70_base
	{
		scope = 2;
		scopeArsenal = 2;
		displayName = "Winch. Model 70";
		picture = "\uns_weap_w\uns_model70\ico\w_model70.paa";
		descriptionShort = "Winchester Model 70 Sniper Rifle firing 30-06 match grade ammunition.";
		weaponInfoType="vn_melee_zeroing_overwrite";
	};
	class uns_model70: uns_model70_iron
	{
		displayName = "Winch. Model 70 (8x)";
		picture = "\uns_weap_w\uns_model70\ico\w_model70_8x.paa";
		descriptionShort = "Winchester Model 70 Sniper Rifle, fitted with a 8x Unertl scope and firing 30-06 match grade ammunition.";
		class LinkedItems
		{
			class LinkedItemsOptic
			{
				slot = "CowsSlot";
				item = "uns_o_Unertl8x_m70";
			};
		};
	};
	class uns_model70sd: uns_model70
	{
		displayName = "Winch. Model 70 (SD)";
		picture = "\uns_weap_w\uns_model70\ico\w_model70_8x_sd.paa";
		descriptionShort = "Suppressed Winchester Model 70 Sniper Rifle, fitted with a 8x Unertl scope and firing 30-06 match grade ammunition.";
		hiddenSelectionsTextures[] = {"\uns_weap_w\uns_model70\skins\uns_model70_stock_grn_co.paa"};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_m70_camo";
			};
			class LinkedItemsMuzzle
			{
				slot = "MuzzleSlot";
				item = "uns_s_M14";
			};
		};
	};
	class uns_model70_9x: uns_model70
	{
		displayName = "Winch. Model 70 (9x)";
		picture = "\uns_weap_w\uns_model70\ico\w_model70_9x.paa";
		descriptionShort = "Winchester Model 70 Sniper Rifle, fitted with a 3-9x Redfield ART and firing 30-06 match grade ammunition.";
		class LinkedItems
		{
			class LinkedItemsOptic
			{
				slot = "CowsSlot";
				item = "uns_o_RedfieldART_m70";
			};
		};
	};
	class uns_model70sd_9x: uns_model70_9x
	{
		displayName = "Winch. Model 70 (9x/SD)";
		picture = "\uns_weap_w\uns_model70\ico\w_model70_9x_sd.paa";
		descriptionShort = "Suppressed Winchester Model 70 Sniper Rifle, fitted with a 3-9x Redfield ART and firing 30-06 match grade ammunition.";
		hiddenSelectionsTextures[] = {"\uns_weap_w\uns_model70\skins\uns_model70_stock_grn_co.paa"};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_m70_camo";
			};
			class LinkedItemsMuzzle
			{
				slot = "MuzzleSlot";
				item = "uns_s_M14";
			};
		};
	};
	class uns_model70nv: uns_model70
	{
		displayName = "Winch. Model 70 (NV)";
		picture = "\uns_weap_w\uns_model70\ico\w_model70_nv.paa";
		descriptionShort = "Winchester Model 70 Sniper Rifle, fitted with a Starlite scope and firing 30-06 match grade ammunition.";
		hiddenSelectionsTextures[] = {"\uns_weap_w\uns_model70\skins\uns_model70_stock_grn_co.paa"};
		class LinkedItems
		{
			class LinkedItemsOptic
			{
				slot = "CowsSlot";
				item = "uns_o_ANPVS2_M14";
			};
		};
	};
	class uns_model70nvsd: uns_model70nv
	{
		displayName = "Winch. Model 70 (NV SD)";
		picture = "\uns_weap_w\uns_model70\ico\w_model70_nvsd.paa";
		descriptionShort = "Suppressed Winchester Model 70 Sniper Rifle, fitted with a Starlite scope and firing 30-06 match grade ammunition.";
		class LinkedItems: LinkedItems
		{
			class LinkedItemsMuzzle
			{
				slot = "MuzzleSlot";
				item = "uns_s_M14";
			};
		};
	};	
	class uns_m1903: uns_Rifle_boltaction_clip_base //Uns_Rifle762 //Rifle_Base_F
	{
		author = "Toadie";
		scope = 1;
		displayName = "M1903-A1 Springfield";
		model = "\uns_weap_t\springfield\uns_m1903.p3d";
		picture = "\uns_weap_t\springfield\ico\w_springfield.paa";
		descriptionShort = "Springfield M1903-A1<br/>Infantry Rifle<br/>Caliber: .30-06";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		magazines[] = {"uns_springfieldmag_T","uns_springfieldmag"};
//anims
		handanim[] = { "OFP2_ManSkeleton", "\uns_weap_t\springfield\anim\awmhands.rtm" };
//handling
		recoil = "recoil_1903a1";
		deployedPivot = "deploypoint";
		hasBipod = 0;
		bg_bipod = 1;
		class bg_weaponparameters
		{
			class onFired_Action
			{
				HandAction = "HLC_GestureRechamberM1903A1_UN";
				Actiondelay = 0.02;
				Sound = "hlc_bolt_1903";
				Sound_Location = "RightHandMiddle1";
				hasOptic = 0;
			};
		};
		inertia = 0.75;
		dexterity = 1.8;
		maxRecoilSway = 0.0125;
		swayDecaySpeed = 1.25;
		aiDispersionCoefY = 10;
		aiDispersionCoefX = 8;
//optics
		discretedistance[] = { 180, 90, 180, 270, 360, 450, 540, 630, 720, 810, 900, 990, 1010, 1180, 1280, 1370, 1460, 1550, 1640, 1740, 1830, 1920, 2010, 2100, 2190, 2280, 2370, 2460};
		discretedistanceinitindex = 0;
		maxZeroing = 2460;
		cameradir = "look";
		discreteDistanceCameraPoint[] = { "eye2", "eye", "eye2", "eye3", "eye4", "eye5", "eye6", "eye7", "eye8", "eye9", "eye10", "eye11", "eye12", "eye13", "eye14", "eye15", "eye16", "eye17", "eye18", "eye19", "eye20", "eye21", "eye22", "eye23", "eye24", "eye25", "eye26", "eye27" };
		opticszoominit = 0.75;
		opticszoommax = 1.1;
		opticszoommin = 0.25;
		distanceZoomMin = 300;
		distanceZoomMax = 300;
//mods
		AB_barrelTwist = 10;
		AB_barrelLength = 24;
		agm_bipod = 1;
		ACE_barrelTwist = 254;
		ACE_barrelLength = 610;
		AGM_Overheating_Dispersion[] = { 0, -0.001, 0.001, 0.003 };
		AGM_Overheating_SlowdownFactor[] = { 1, 1, 1, 0.9 };
		AGM_Overheating_JamChance[] = { 0, 0.0003, 0.0015, 0.0075 };
		agm_overheating_allowbarrelswap = 1;
		cse_bipod = 1;
		tmr_autorest_deployable = 1;
		TMR_acc_bipod = 1;
//fx
		class GunParticles
		{
			class FirstEffect
			{
				effectName = "SniperCloud";
				positionName = "usti hlavne";
				directionName = "konec hlavne";
			};
		};
//attachments
		class WeaponSlotsInfo : WeaponSlotsInfo
		{
			mass = 165;
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {"uns_o_Unertl8x"};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"uns_b_m1"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
//sounds
		drysound[] = { "\uns_weap_t_s\springfield\snd\1903A1_dryfire", 1, 1, 10 };
		modes[] = { "Single", "far_optic1", "medium_optic2", "far_optic2" };
		class Single: Mode_SemiAuto
		{
			sounds[] = {"StandardSound"};			
			class StandardSound
			{
				soundsetshot[] = {"1903_Shot_SoundSet","1903_tail_SoundSet"}; 
			};
			reloadTime = 1.8; //67;
			dispersion = 0.000436332;
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 250;
			midRangeProbab = 0.7;
			maxRange = 400;
			maxRangeProbab = 0.04;
			airateoffire = 4;
		};
		class far_optic1: Single
		{
			showToPlayer = 0;
			minRange = 150;
			minRangeProbab = 0.2;
			midRange = 500;
			midRangeProbab = 0.7;
			maxRange = 1500;
			maxRangeProbab = 0.4;
			aiRateOfFire = 3;
			aiRateOfFireDistance = 500;
			requiredOpticType = 1;
		};
		class medium_optic2: Single
		{
			showToPlayer = 0;
			minRange = 250;
			minRangeProbab = 0.2;
			midRange = 750;
			midRangeProbab = 0.7;
			maxRange = 1000;
			maxRangeProbab = 0.4;
			aiRateOfFire = 5;
			aiRateOfFireDistance = 1000;
			requiredOpticType = 2;
		};
		class far_optic2: far_optic1
		{
			minRange = 500;
			minRangeProbab = 0.2;
			midRange = 1200;
			midRangeProbab = 0.7;
			maxRange = 2100;
			maxRangeProbab = 0.3;
			aiRateOfFire = 7;
			aiRateOfFireDistance = 1000;
			requiredOpticType = 2;
		};
	};
//scoped version
	class uns_m1903s: uns_m1903
	{
		scope = 1; scopeArsenal = 1;
		displayName = "M1903 Springfield (Sniper)";
		picture = "\uns_weap_t\springfield\ico\w_springfield_s.paa";
		descriptionShort = "M1903 Springfield Rifle, fitted with a 8x Unertl scope and firing 30-06 match grade ammunition.";
		UiPicture = "\uns_men_c\icon\UStroops\i_sniper_CA.paa";
//		reloadmagazinesound[] = { "\uns_weap_t_s\springfield\snd\1903A1Unertl_reload", 0.8, 1, 20 };
		reloadaction = "HLC_GestureReloadM1903A1_UN";
		magazineReloadSwitchPhase = 0.35; 
		//Da12thMonkey advice: tells the game when to reset the revolving animation sources (used for things like MG belt depletion) back to the starting value when loading a new magazine. If you wanted the bullets to be visible again half way through the magazine reloading animation so that it looks like there is a full belt in the fresh magazine. You'd set magazineReloadSwitchPhase = 0.5; so that the phase resets half way through the mag change animation.
		aiRateOfFire = 6;
		aiRateOfFireDistance = 800;
		class LinkedItems
		{
			class LinkedItemsOptic
			{
				slot = "CowsSlot";
				item = "uns_o_Unertl8x";
			};
		};
	};
	class uns_smle_base: uns_Rifle_boltaction_clip_base
	{
		scope = 0; scopeArsenal = 0;
		displayName = "Lee Enfield Mk.III";
//		model = "\uns_weap_w\leeenfield\uns_LeeEnfield.p3d";
		model = "\uns_weap_w\smle\uns_smle.p3d";
		picture = "\uns_weap_w\leeenfield\ico\w_smle.paa";
		handanim[] = {"OFP2_ManSkeleton","\uns_weap_a\smle\uns_smle.rtm"};
//		handanim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\LeeEnfield.rtm"};
//		handanim[] = {"OFP2_ManSkeleton","\uns_weap_t\animation\gesture\enfield_hands.rtm"};
		reloadaction = "HLC_GestureReloadSMLE";
		magazines[] = {"uns_smlemag","uns_smlemag_T"};
		dexterity = 1.61;
		magazineReloadTime = 7.8; // == (1/speed) in anim rtm config
		opticsDisablePeripherialVision = 0;
		opticsPPEffects[]={};
		distanceZoomMin=300;
		distanceZoomMax=300;
		initSpeed = 744;
		recoil = "uns_recoil_fusil";
		cameradir = "aim_point";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		discreteDistanceCameraPoint[]={"eye"};
		discretedistance[] = {100,200,300,400,500,600,700,800,900,1000};
		discretedistanceinitindex = 0;
		descriptionShort = "SMLE No.1 Mk.III (HT). Short Magazine Lee Enfield rifle, Heavy Barrel, Telescopic Sight, chambered in 10-round mags of .303 ammunition.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 110;
			class MuzzleSlot{};
			class CowsSlot {};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"b_smle_1937"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
		value = 1000;
//sounds
		drySound[] = {"\uns_weap_s\mas36\mas36_dry",1,1,10};
		modes[] = {"Single","AImode1"};
		class Single: Single
		{
			sounds[] = {"StandardSound"};
			class StandardSound
			{
				soundsetshot[] = {"smle_Shot_SoundSet","smle_tail_SoundSet"}; 
			};
			minRange=0;
			minRangeProbab=0.10;
			midRange=150;
			midRangeProbab=0.7;
			maxRange=300;
			maxRangeProbab=0.05;
			aiRateOfFire=8.0;
			aiRateOfFireDistance=600;
			dispersion=0.0005;
			reloadTime=1.66; //speed = 0.6
			backgroundReload = 1;
			recoil = "recoil_single_primary_6outof10";
			recoilProne = "recoil_single_primary_prone_5outof10";
		};
		class AImode1: Single
		{
			reloadTime = 1.66;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.012;
			minRange = 0.1;
			minRangeProbab = 0.4;
			midRange = 250;
			midRangeProbab = 0.7;
			maxRange = 500;
			maxRangeProbab = 0.05;
			aiRateOfFire = 4.0;
			aiRateOfFireDistance = 500;
			showToPlayer = 0;
		};
	};
	class uns_smle: uns_smle_base
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Lee Enfield Mk.III";
		model = "\uns_weap_w\smle\uns_smle.p3d";
		picture = "\uns_weap_w\leeenfield\ico\w_smle.paa";
		reloadaction = "HLC_GestureReloadSMLE";
		magazineReloadTime = 7.8; // == (1/speed) in anim rtm config
		cameradir = "aim_point";
		discreteDistanceCameraPoint[]={"eye","eye2","eye3","eye4","eye5","eye6","eye7","eye8","eye9","eye10"};
		discretedistance[] = {100,200,300,400,500,600,700,800,900,1000};
		discretedistanceinitindex = 0;
		descriptionShort = "SMLE No.1 Mk.III (HT). Short Magazine Lee Enfield rifle, Heavy Barrel, Ironsight, chambered in 2x 5-round clips of .303 ammunition.";
		weaponInfoType = "vn_melee_zeroing_overwrite";
	};
	class uns_smle_bayo: uns_smle
	{
		displayName = "Lee Enfield Mk.III (Bayo)";
		picture = "\uns_weap_w\leeenfield\ico\w_smle_bayo.paa";
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "b_smle_1937";
			};
		};
		descriptionShort = "SMLE No.1 Mk.III (HT). Short Magazine Lee Enfield rifle, Heavy Barrel, Ironsight, chambered in 2x 5-round clips of .303 ammunition. Fitted with 17in spike bayonet.";
	};
	class uns_smle_sniper: uns_smle_base
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Lee Enfield Mk.III (Sniper)";
		model = "\uns_weap_w\smle\uns_smle_scoped.p3d";
		picture = "\uns_weap_w\leeenfield\ico\w_smle.paa";
//		reloadaction = "HLC_GestureReloadSMLE";
		reloadAction = "HLC_GestureReloadAR15_catch_WS"; //needs new anim with bolting at the end
		magazineReloadTime = 4;
		descriptionShort = "SMLE No.1 Mk.III (HT). Short Magazine Lee Enfield rifle, Heavy Barrel, Pattern 1918 3x Telescopic Sight, chambered in 10-round mags of .303 ammunition.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"b_smle_1937","uns_b_smle_camo"};
			};
		};
//add in optics
		opticType = 1;
		optics = 1;
		mass = 8;
		modelOptics = "\uns_weap_w\a_Optic\newoptics\m84_reticle.p3d";
		class OpticsModes
		{
			class scope
			{
				opticsID = 1;
				useModelOptics = 1;
				opticsZoomMax = 0.083;
				opticsZoomMin = 0.083;
				opticsZoomInit = 0.083;
				distanceZoomMin = 300;
				distanceZoomMax = 300;
				opticsPPEffects[] = {"OpticsCHAbera1","OpticsBlur1"};
				opticsDisablePeripherialVision = 1;
				opticsFlare = 1;
				memoryPointCamera = "opticView";
				visionMode[] = {"Normal"};
				cameraDir = "";
				weaponInfoType = "RscWeaponZeroing";
				discreteDistance[] = {100,200,300,400,500,600,700,800,900};
				discreteDistanceInitIndex = 1;
			};
			class Ironsights: scope //alt-optics
			{
				opticsID = 2;
				useModelOptics = 0;
				opticsFlare = 0;
				opticsDisablePeripherialVision = 0;
				opticsZoomMin = 0.25;
				opticsZoomMax = 1.1;
				opticsZoomInit = 0.5;
				memoryPointCamera = "eye_overscope";
				visionMode[] = {};
				weaponInfoType = "RscWeaponZeroing";
				discreteDistance[] = {100};
				discreteDistanceInitIndex = 0;
			};
		};
	};
	class uns_smle_sniper_bayo: uns_smle_sniper
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Lee Enfield Mk.III (Sniper/ bayo)";
		picture = "\uns_weap_w\leeenfield\ico\w_smle_bayo.paa";
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "b_smle_1937";
			};
		};
		descriptionShort = "SMLE No.1 Mk.III (HT). Short Magazine Lee Enfield rifle, Heavy Barrel, Telescopic Sight, chambered in 10-round mags of .303 ammunition. Fitted with 17in spike bayonet.";
	};
	class uns_smle_sniper_camo: uns_smle_sniper
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Lee Enfield Mk.III (Sniper/ camo)";
		//picture = "\uns_weap_w\leeenfield\ico\w_smle_camo.paa";
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_smle_camo";
			};
		};
		descriptionShort = "SMLE No.1 Mk.III (HT). Short Magazine Lee Enfield rifle, Heavy Barrel, Telescopic Sight, chambered in 10-round mags of .303 ammunition. Fitted with camo wrap for concealment.";
	};