	class uns_mkvFlarePistol: uns_pistol
	{
		scope = 2;
		scopeArsenal = 2;
		displayName = "MKV Flare Pistol";
		model = "\uns_weap_w\mkv_flarepistol\mkv_flarepistol.p3d";
		picture = "\uns_weap_w\mkv_flarepistol\ico\w_mkv.paa";
		magazines[] = {"vn_40mm_m583_flare_w_mag","vn_40mm_m662_flare_r_mag","vn_40mm_m661_flare_g_mag","vn_40mm_m695_flare_y_mag","vn_40mm_m680_smoke_w_mag","vn_40mm_m682_smoke_r_mag","vn_40mm_m715_smoke_g_mag","vn_40mm_m716_smoke_y_mag"};
		descriptionShort = "Harrington and Richardson MKV 10 Gauge Flare Pistol, firing 40mm flares and smoke.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 30;
			class CowsSlot{};
			class MuzzleSlot{};
		};
		reloadMagazineSound[] = {"\uns_weap_s\mkv_flarepistol\MKV_reload",1,1,50};
		modes[] = {"Single"};
		class Single: Single{};
	};
	class uns_ppk: Uns_Pistol
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Walther PPK";
		model = "\uns_weap_w\ppk\uns_ppk.p3d";
		picture = "\uns_weap_w\ppk\ico\w_ppk.paa";
		magazines[] = {"uns_ppkmag"};
		recoil = "uns_recoil_pistol_9mm";
		distanceZoomMin = 56;
		distanceZoomMax = 56;
		minRange = 2;
		minRangeProbab = 0.2;
		midRange = 30;
		midRangeProbab = 0.8;
		maxRange = 50;
		maxRangeProbab = 0.04;
		dispersion = 0.011;
		ffCount = 1;
		aiRateOfFire = 2.0;
		aiRateOfFireDistance = 50;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 20;
			class MuzzleSlot: SlotInfo
			{
				linkProxy = "\A3\data_f\proxies\weapon_slots\MUZZLE";
				compatibleItems[] = {"uns_s_ppk"};
			};
			class CowsSlot{};
			class PointerSlot{};
		};
//sounds
		drySound[] = {"\uns_Weap_s\ppk\ppk_dry.wss",1,1,20};
		reloadMagazineSound[] = {"\uns_Weap_s\ppk\ppk_reload.wss",1,1,20};
		modes[] = {"Single"};
		class Single: Mode_SemiAuto
		{
			recoil = "recoil_pistol_light";
			recoilProne = "recoil_prone_pistol_light";
			reloadTime = 0.1;
			dispersion = 0.0085;
			minRange = 5;
			minRangeProbab = 0.3;
			midRange = 25;
			midRangeProbab = 0.6;
			maxRange = 50;
			maxRangeProbab = 0.1;
			aiRateOfFire = 2;
			aiRateOfFireDistance = 25;
			sounds[] = {"StandardSound","SilencedSound"};			
			class StandardSound
			{
				soundsetshot[] = {"ppk_Shot_SoundSet","ppk_tail_SoundSet"}; 
			};
			class SilencedSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\ppk\ppksd_fire.wss",1,1,200};
				soundBegin[] = {"begin1",1};
				class SoundTails
				{
					class TailInterior
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_interior",1,1,400};
						frequency = 1;
						volume = "interior";
					};
					class TailTrees
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_trees",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*trees";
					};
					class TailForest
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_forest",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*forest";
					};
					class TailMeadows
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_meadows",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*(meadows/2 max sea/2)";
					};
					class TailHouses
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_houses",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*houses";
					};
				};
			};
		};
		class Library
		{
			libTextDesc = "The Walther PPK is a double-action semi-automatic pistol, with a 7 round magazine chambered for .32 ACP.  Since Hanoi insisted it had no troops in 'neutral' Laos or Cambodia, the United States, too, denied that SOG operations were underway. To support this deniability, recon teams were required to go 'sterile' meaning no ID or dog tags, unmarked or non-U.S. uniforms, and unattributable arms - like the PPK. Suppressed versions were also used by SOG skydive teams.";
		};
	};
	class uns_ppkSD: uns_ppk
	{
		displayName = "Walther PPK (SD)";
		picture = "\uns_weap_w\ppk\ico\w_ppk.paa";
		descriptionShort = "Walther PPK (SD)";
		class LinkedItems
		{
			class LinkedItemsMuzzle
			{
				slot = "MuzzleSlot";
				item = "uns_s_ppk";
			};
		};
	};
	class uns_coltcmdr: Uns_Pistol
	{
		scope = 1; scopeArsenal = 1;
		displayName = "Colt Commander";
		model = "\uns_weap_w\coltcmdr\uns_coltcmdr";
		picture = "\uns_weap_w\coltcmdr\ico\w_coltcmdr.paa";
		magazines[] = {"uns_coltcmdrmag"};
		recoil = "uns_recoil_pistol_45";
		inertia = 0.2;
		dexterity = 1.8;
		initSpeed = 280;
		minRange = 0;
		minRangeProbab = 0.1;
		midRange = 30;
		midRangeProbab = 0.3;
		maxRange = 50;
		maxRangeProbab = 0.04;
		distanceZoomMin = 50;
		distanceZoomMax = 50;
		dispersion = 0.02;
		ffCount = 1;
		aiRateOfFire = 0.5;
		aiRateOfFireDistance = 50;
		descriptionShort = "Colt Commander 9mm semi-automatic pistol, 9 round mag";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 23;
			class CowsSlot{};
			class MuzzleSlot{};
		};
//sound
		drySound[] = {"\uns_weap_s\M1911\M1911_dry",1,1,20};
		reloadMagazineSound[] = {"\uns_weap_s\m1911\m1911_reload",1,1,25};
		modes[] = {"Single"};
		class Single: Single
		{
			recoil = "recoil_pistol_heavy";
			recoilProne = "recoil_prone_pistol_heavy";
			sounds[] = {"StandardSound","SilencedSound"};
			class StandardSound: StandardSound
			{
				soundsetshot[] = {"commander_Shot_SoundSet","commander_tail_SoundSet"}; 
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\m1911\m1911SD_fire",1,1,600};
				soundBegin[] = {"begin1",0.33};
			};
		};
	};
	class uns_357m: Uns_Pistol
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Colt Lawman Mk.III (.357)";
		model = "\uns_weap_w\uns_colt_357\uns_colt_357";
		picture = "\uns_weap_w\uns_colt_357\ico\w_colt_357.paa";
		magazines[] = {"uns_357mag"};
		descriptionShort = "Colt Lawman Mk.III .357 Magnum revolver, often carried by US troops returning to Vietnam from leave.";
		minRange = 0;
		minRangeProbab = 0.1;
		midRange = 20;
		midRangeProbab = 0.3;
		maxRange = 40;
		maxRangeProbab = 0.04;
		optics = 1;
		distanceZoomMin = 50;
		distanceZoomMax = 50;
		dispersion = 0.02;
		ffCount = 1;
		aiRateOfFire = 0.5;
		aiRateOfFireDistance = 50;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 30;
			class CowsSlot{};
			class MuzzleSlot{};
		};
		recoil = "uns_recoil_pistol_magnum";
//sounds
		drySound[] = {"\uns_weap_s\357m\357m_dry",1,1,20};
		reloadMagazineSound[] = {"\uns_weap_s\357m\357m_reload",1,1,25};
		modes[] = {"Single"};
		class Single: Single
		{
			recoil = "recoil_pistol_heavy";
			recoilProne = "recoil_prone_pistol_heavy";
			sounds[] = {"StandardSound"};			
			class StandardSound
			{
				soundsetshot[] = {"357_Shot_SoundSet","357_tail_SoundSet"}; 
			};
			class SilencedSound;
		};
	};
	class uns_Ruger: Uns_Pistol
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Ruger/MAC MkI SD";
		model = "\uns_weap_w\rugermk2\uns_Rugermk2.p3d";
		picture = "\uns_weap_w\rugermk2\ico\w_mk2.paa";
		magazines[] = {"uns_Rugermag"};
		descriptionShort = "Ruger Mk2 Pistol .22LR";
		inertia = 0.1;
		dexterity = 1.8;
		initSpeed = 450;
		recoil = "uns_recoil_pistol_aps";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 28;
			class MuzzleSlot{};
			class CowsSlot{};
			class PointerSlot{};
		};
		drySound[] = {"\uns_weap_s\rugermk2\mk2_dry.wss",1,1,20};
		reloadMagazineSound[] = {"\uns_weap_s\rugermk2\mk2_reload.wss",1,1,30};
		modes[] = {"Single"};
		class Single: Mode_SemiAuto
		{
			recoil = "recoil_pistol_light";
			recoilProne = "recoil_prone_pistol_light";
			reloadTime = 0.1;
			dispersion = 0.0085;
			minRange = 5;
			minRangeProbab = 0.3;
			midRange = 25;
			midRangeProbab = 0.6;
			maxRange = 50;
			maxRangeProbab = 0.1;
			aiRateOfFire = 2;
			aiRateOfFireDistance = 25;
			sounds[] = {"StandardSound","SilencedSound"};
			class BaseSoundModeType
			{
				closure1[] = {"A3\sounds_f\weapons\closure\closure_handgun_4",1.0351422,1,30};
				closure2[] = {"A3\sounds_f\weapons\closure\closure_handgun_4",1.0351422,1.1,30};
				soundClosure[] = {"closure1",0.5,"closure2",0.5};
				weaponSoundEffect = "DefaultHandgun";
			};
			class StandardSound: BaseSoundModeType
			{
				begin1[] = {"\uns_weap_s\rugermk2\Mk2_fire.wss",2,1,200};
				soundBegin[] = {"begin1",1};
				class SoundTails
				{
					class TailInterior
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_interior",1,1,400};
						frequency = 1;
						volume = "interior";
					};
					class TailTrees
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_trees",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*trees";
					};
					class TailForest
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_forest",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*forest";
					};
					class TailMeadows
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_meadows",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*(meadows/2 max sea/2)";
					};
					class TailHouses
					{
						sound[] = {"A3\Sounds_F\arsenal\weapons\Pistols\Rook40\Silencer_Rook40_tail_houses",1,1,400};
						frequency = 1;
						volume = "(1-interior/1.4)*houses";
					};
				};
			};
			class SilencedSound: BaseSoundModeType{};
		};
		class Library
		{
			libTextDesc = "The Ruger/MAC MkI is an excellent close-range Counter-Insurgency weapon with a very high degree of inherent accuracy and an unusually effective integral suppressor. This pistol was selected first because of the inherent superiority of its basic design system. The Ruger  semi-automatic pistol is chambered in .22 Long Rifle.  Widley used by LRRP, CIA, SOG and other Special Forces in missions including guard dog suppression, suppression of personnel during prisoner snatches, assassination of target-specific military and political cadre, and also for behind-enemy-lines hunting for food!";
		};
	};