	class ItemRadio;
	class uns_ItemRadio_PRC90: ItemRadio
	{
		scope = 2; scopeArsenal = 2;
		simulation = "ItemRadio";
		displayName = "Generic short range radio";
		picture = "\uns_weap_w\prc_90\ico\w_anprc90_ca.paa";
		descriptionShort = "Generic short range radio";
		model = "\uns_weap_w\prc_90\prc_90_ant.p3d";
		class ItemInfo
		{
			mass = 8;
		};
		type = 4096;
	};
	class UNS_ItemRadio_PRC_25: uns_ItemRadio_PRC90
	{
		scope = 2; scopeArsenal = 2; scopeCurator = 2; 
		displayName = "Radio - AN/PRC-25";
		picture = "\uns_weap_w\prc_25\ico\w_anprc25_ca.paa";
		descriptionShort = "Radio AN/PRC-25 - General field radio carried by infantry RTO";
		model = "\uns_weap_w\prc_25\uns_prc_25.p3d";
		simulation = "ItemRadio";
		class ItemInfo
		{
			mass = 15;
		};
	};

//Radios compatible with TFAR should definitely be set to scope=1, since they shouldn't be available as long as tfar isn't loaded.
//These radio classes are only meant to be the item classes that replace the player's ItemRadio.
//They shouldn't be added manually.
	class UNS_ItemRadio_PRC_90_TFAR: ItemRadio
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Radio AN/PRC-90 (TFAR)";
		picture = "\uns_weap_w\prc_90\ico\w_anprc90_ca.paa";
		descriptionShort = "Radio AN/PRC-90 - Emergency radio carried by pilots";
		model = "\uns_weap_w\prc_90\prc_90_ant.p3d";
		tf_prototype = 1;
		tf_range = 1000;
		tf_dialog = "rf7800str_radio_dialog";//to be replaced
		tf_encryptionCode = "tf_west_radio_code";
		tf_subtype = "digital";
		tf_additional_channel = 0;
		tf_dialogUpdate = "call TFAR_fnc_updateSWDialogToChannel;";
		tf_parent = "UNS_ItemRadio_PRC_90_TFAR";
	};
	TF_RADIO_IDS(UNS_ItemRadio_PRC_90_TFAR,AN/PRC-90)
	class uns_ItemRadio_PRC25_TFAR: UNS_ItemRadio_PRC_90_TFAR //ItemCore
	{
		displayName = "Radio AN/PRC-25 (TFAR)";
		picture = "\uns_weap_w\prc_25\ico\w_anprc25_ca.paa";
		descriptionShort = "Radio AN/PRC-25 - General field radio carried by infantry RTO";
		model = "\uns_weap_w\prc_25\uns_prc_25.p3d";
		class ItemInfo
		{
			mass = 15;
		};
		tf_range = 5000;
		tf_dialog = "anprc154_radio_dialog";//to be replaced
		tf_parent = "uns_ItemRadio_PRC25_TFAR";
	};
	TF_RADIO_IDS(uns_ItemRadio_PRC25_TFAR,AN/PRC-25)
