	class uns_ak47_base: Uns_Rifle762
	{
		scope = 0; scopeArsenal = 0;
		displayName = "AK-47";
		model = "\uns_weap_e\uns_ak47\uns_ak47";
		picture = "\uns_weap_e\ak47\ico\w_ak47.paa";
		UiPicture = "\uns_men_c\icon\UStroops\i_regular_CA.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\AK.rtm"};
		reloadAction = "HLC_GestureReloadAK";
		magazines[] = {"uns_ak47mag","uns_ak47mag_T","uns_ak47mag_NT"};
		descriptionShort = "AK-47 7.62mm Assault Rifle";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		vn_melee_bayonet_startpos[] = {-0.03,0.3,-0.02};
		class Library
		{
			libtextdesc = "Adopted and standardized in 1947, it was designed by Mikhail Kalashnikov and originally produced by Soviet manufacturer Izhevsk Mechanical Works. Compared with most auto-loading rifles of World War II, the AK-47 is compact, of comparable range, moderate power, and capable of selective fire. It was one of the first true assault rifles and, due to its durability and ease of use, remains the most widely used assault rifle. More AK-type rifles have been produced than any other assault rifle type in the firearms market";
		};
		maxZeroing = 1000;
		discreteDistance[] = {100,200,300,400,500,600,700,800,900,1000};
		initSpeed = 715;
		magazineReloadTime = 3.2;
		recoil = "uns_recoil_ak";
		maxRecoilSway = 0.0125;
		swayDecaySpeed = 1.25;
		inertia = 0.5;
		dexterity = 1.6;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.0,0.45};
				iconScale = 0.2;
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"uns_b_6h3"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
//sounds
		changeFiremodeSound[] = { "\uns_weap_t_s\ak47\ak_selector", 1, 1, 5 };
		drySound[] = {"\uns_weap_s\ak47\ak47_dry",1,1,10};
		reloadMagazineSound[] = {"\uns_weap_s\ak47\ak47_reload",1,1,25};
		modes[] = {"FullAuto","Single","AImode1","AImode2","AImode3","AImode4","AImode5"};
		class Single: Single
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\ak47\ak47_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\ak47\ak47_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\ak47\ak47_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\ak47\ak47SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33};
			};
			soundBurst = 0;
			reloadTime = 0.095;
			dispersion = 0.003;
			recoil = "recoil_single_mk20";
			recoilProne = "recoil_single_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.5;
			midRange = 150;
			midRangeProbab = 0.7;
			maxRange = 300;
			maxRangeProbab = 0.2;
		};
		class FullAuto: FullAuto
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\ak47\ak47_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\ak47\ak47_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\ak47\ak47_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\AK47\AK47SD_fire",1,1,400};
				begin2[] = {"\uns_weap_s\AK47\AK47SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.34};
			};
			soundContinuous = 0;
			soundBurst = 0;
			reloadTime = 0.095;
			ffCount = 1;
			dispersion = 0.003;
			recoil = "recoil_auto_mk20";
			recoilProne = "recoil_auto_prone_mk20";
			minRange = 2;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1e-006;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 30;
			midRangeProbab = 0.8;
			maxRange = 60;
			maxRangeProbab = 0.7;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 60;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 6;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 120;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 1.8;
			aiRateOfFireDistance = 90;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 8;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 160;
			midRangeProbab = 0.7;
			maxRange = 200;
			maxRangeProbab = 0.5;
			aiRateOfFire = 2.1;
			aiRateOfFireDistance = 170;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 10;
			reloadTime = 0.15;
			minRange = 50;
			minRangeProbab = 0.1;
			midRange = 160;
			midRangeProbab = 0.3;
			maxRange = 400;
			maxRangeProbab = 0.01;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 300;
		};
		class AImode5: AImode1
		{
			soundBurst = 0;
			burst = 10;
			minRange = 90;
			minRangeProbab = 0.3;
			midRange = 250;
			midRangeProbab = 0.6;
			maxRange = 500;
			maxRangeProbab = 0.1;
			aiRateOfFire = 1.0;
			aiRateOfFireDistance = 300;
		};
	};
	class uns_ak47: uns_ak47_base
	{
		scope = 1; scopeArsenal = 1;
		displayName = "AK-47";
		model = "\uns_weap_e\uns_ak47\uns_ak47";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\AK.rtm"};
		reloadAction = "HLC_GestureReloadAK";
		opticszoommin = 0.25;
		opticsZoomMax = 1.1;
		opticsZoomInit = 0.55;//75
		distanceZoomMin = 300;
		distanceZoomMax = 300;
		discreteDistance[] = { 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000 };
		discreteDistanceCameraPoint[] = { "eye_100", "eye_200", "eye_300", "eye_400", "eye_500", "eye_600", "eye_700", "eye_800", "eye_900", "eye_1000"};
		cameraDir = "eye_look";
		maxZeroing = 1000;
		reloadMagazineSound[] = {"\uns_weap_t_s\ak47\ak_reload_longer",0.9,1,30};
	};
	class uns_aks47: uns_ak47
	{
		scope = 1; scopeArsenal = 1;
		displayName = "AKS-47";
		model = "\uns_weap_e\uns_ak47\uns_ak47s";
		picture = "\uns_weap_e\ak47\ico\w_aks47.paa";
		descriptionShort = "AKS-47 7.62mm Assault Rifle with folding wire-stock.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 90;
		};
		recoil = "uns_recoil_aks";
		maxRecoilSway = 0.015;
		swayDecaySpeed = 1.5;
		inertia = 0.45;
		dexterity = 1.65;
	};
	class uns_aks47f: uns_aks47
	{
		displayName = "AKS-47 (folded)";
		model = "\uns_weap_e\uns_ak47\uns_ak47sf";
		picture = "\uns_weap_e\ak47\ico\w_aks47f.paa";
		descriptionShort = "AKS-47 7.62mm Assault Rifle with folded wire-stock.";
		maxRecoilSway = 0.02;
		swayDecaySpeed = 1.7;
		inertia = 0.4;
		dexterity = 1.7;
	};
	class uns_ak47_bayo: uns_ak47
	{
		scope = 1; scopeArsenal = 1;
		displayName = "AK-47 (bayo)";
		picture = "\uns_weap_e\ak47\ico\w_ak47.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 105;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};
	class uns_aks47_bayo: uns_aks47
	{
		scope = 1; scopeArsenal = 1;
		displayName = "AKS-47 (bayo)";
		picture = "\uns_weap_e\ak47\ico\w_aks47.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 95;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};
	class uns_sa58p: uns_ak47
	{
		scope = 2; scopeArsenal = 2;
		displayname = "Sa-58P Assault Rifle";
		model = "\uns_weap_e\sa58\uns_sa58p";
		hiddenselections[] = 
		{
			"camo1", //metal
			"camo2" //wood
		};
		hiddenselectionsTextures[] = 
		{
			"uns_weap_e\SA58\data\sa58_co.paa",
			"uns_weap_e\SA58\data\sa58_co.paa"
		};
		hiddenselectionsMaterials[] = 
		{
			"uns_weap_e\SA58\data\sa58.rvmat",
			"uns_weap_e\SA58\data\sa58_metal.rvmat"
		};
		picture = "\uns_weap_e\sa58\ico\w_sa58P.paa";
		magazines[] = {"uns_sa58mag","uns_sa58mag_T","uns_sa58mag_NT"};
		dexterity = 1.57;
		reloadMagazineSound[] = {"\uns_weap_t_s\ak47\ak_reload_longer",0.9,1,30};
		class Library
		{
			libTextDesc = "The samopal vzor 58 (Sa/vz-58) 7.62mm assault rifle was designed and manufactured in Czechoslovakia in the late 1950s. It has selectable single and full auto modes, uses custom 30 round mags and the Sa-58P has a wooden stock.";
		};
		descriptionShort = "Sa-vz 58 Assault Rifle. Supplied by Czechoslovakia, firing 30 round 7.62x39mm M43 mags.  Single and full auto modes.  Wooden stock.";
		modes[] = {"Single","FullAuto"};
		class Single: Single
		{
			dispersion = 0.001;
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\sa58\sa58_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\sa58\sa58_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\sa58\sa58_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\ak47\ak47SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33};
			};

		};
		class FullAuto: FullAuto
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\sa58\sa58_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\sa58\sa58_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\sa58\sa58_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\AK47\AK47SD_fire",1,1,400};
				begin2[] = {"\uns_weap_s\AK47\AK47SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.34};
			};
		};
	};
	class uns_sa58p_camo: uns_sa58p
	{
		scope = 2; scopeArsenal = 2;
		displayname = "Sa-58P Assault Rifle (camo)";
		hiddenselectionsTextures[] = 
		{
			"uns_weap_e\SA58\data\sa58camo_co.paa",
			"uns_weap_e\SA58\data\sa58camo_co.paa"
		};
		hiddenselectionsMaterials[] = 
		{
			"uns_weap_e\SA58\data\sa58.rvmat",
			"uns_weap_e\SA58\data\sa58_metal_camo.rvmat"
		};
	};
	class uns_sa58v: uns_sa58p
	{
		scope = 2; scopeArsenal = 2;
		displayname = "Sa-58V Assault Rifle";
		picture = "\uns_weap_e\sa58\ico\w_sa58V.paa";
		model = "\uns_weap_e\sa58\uns_sa58v";
		descriptionShort = "Sa-vz 58 Assault Rifle. Supplied by Czechoslovakia, firing 30 round 7.62x39mm M43 mags.  Single and full auto modes.  Wire stock.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 90;
		};
		maxRecoilSway = 0.015;
		swayDecaySpeed = 1.5;
		inertia = 0.45;
		dexterity = 1.65;
	};
	class uns_sa58vf: uns_sa58v
	{
		scope = 2; scopeArsenal = 2;
		displayname = "Sa-58V Assault Rifle (folded)";
		picture = "\uns_weap_e\sa58\ico\w_sa58Vf.paa";
		model = "\uns_weap_e\sa58\uns_sa58vf";
		descriptionShort = "Sa-vz 58 Assault Rifle. Supplied by Czechoslovakia, firing 30 round 7.62x39mm M43 mags.  Single and full auto modes.  Folded wire stock.";
		inertia = 0.4;
		dexterity = 1.7;
	};
	class uns_sa58p_bayo: uns_sa58p
	{
		displayName = "Sa-58p (bayo)";
		picture = "\uns_weap_e\sa58\ico\w_sa58p.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 105;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};
	class uns_sa58v_bayo: uns_sa58v
	{
		displayName = "Sa-58v (bayo)";
		picture = "\uns_weap_e\sa58\ico\w_sa58v.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 95;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};
	class uns_ak47_49: uns_ak47
	{
		scope = 2; scopeArsenal = 2;
		displayName = "AK-47/49";
		model = "\uns_weap_e\ak47\uns_ak4749";
		picture = "\uns_weap_e\ak47\ico\w_ak4749.paa";
		descriptionShort = "AK-47/49 7.62mm Assault Rifle. Model 1 manufactured since 1949";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\akm\uns_AKM.rtm"};
		class Library
		{
			libtextdesc = "AK-47, model 1 manufactured since 1949";
		};
		class Single: Single
		{
			dispersion = 0.0018;
		};
	};
	class uns_ak47_52: uns_ak47
	{
		scope = 2; scopeArsenal = 2;
		displayName = "AK-47/52";
		model = "\uns_weap_e\ak47\uns_ak4752";
		picture = "\uns_weap_e\ak47\ico\w_ak4752.paa";
		descriptionShort = "AK-47/52 7.62mm Assault Rifle, model 2 manufactured since 1952";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\akm\uns_AKM.rtm"};
		class Single: Single
		{
			dispersion = 0.0016;
		};
		class Library
		{
			libtextdesc = "AK-47, model 2 manufactured since 1952";
		};
	};
	class uns_ak47_49_bayo: uns_ak47_49
	{
		scope = 2; scopeArsenal = 2;
		displayName = "AK-47/49 (bayo)";
		picture = "\uns_weap_e\ak47\ico\w_ak4749.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 105;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};
	class uns_ak47_52_bayo: uns_ak47_52
	{
		scope = 2; scopeArsenal = 2;
		displayName = "AK-47/52 (bayo)";
		picture = "\uns_weap_e\ak47\ico\w_ak4752.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 105;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};

/////////////////////////////AKMs /////////////////////////////////////

	class uns_akm: uns_ak47
	{
		scope = 2; scopeArsenal = 2;
		displayName = "AKM";
//		model = "\uns_weap_e\akm\uns_akm";
		model = "\uns_weap_e\uns_akm\uns_akm_w";
		picture = "\uns_weap_e\uns_akm\ico\w_akm.paa";
		descriptionShort = "AKM 7.62mm Assault Rifle.";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\akm\uns_AKM.rtm"};
		class Library
		{
			libtextdesc = "AKM 7.62mm Assault Rifle. Manufactured since 1962.  Supplied to the People's Army of Vietnam (NVA). Modernised AK-47 capable of carrying the 6H3 bayonet, PSO-1 4x scope, PBS-1 suppressor and 75-round drum";
		};
		magazineReloadTime = 3.2;
		recoil = "uns_recoil_ak";
		maxRecoilSway = 0.0125;
		swayDecaySpeed = 1.25;
		inertia = 0.5;
		dexterity = 1.6;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {"uns_s_PBS1"};
				iconPosition[] = {0.0,0.45};
				iconScale = 0.2;
			};
		};
		modes[] = {"Single","FullAuto"};
		class Single: Single
		{
			dispersion = 0.0015;
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\akm\akm_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\akm\akm_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\akm\akm_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\ak47\ak47SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33};
			};

		};
		class FullAuto: FullAuto
		{
			dispersion = 0.0019;
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\akm\akm_fire",2,1,1400};
				begin2[] = {"\uns_weap_s\akm\akm_fire",2,1,1400};
				begin3[] = {"\uns_weap_s\akm\akm_fire",2,1,1400};
				soundBegin[] = {"begin1",0.33,"begin2",0.33,"begin3",0.34};
			};
			class SilencedSound: SilencedSound
			{
				begin1[] = {"\uns_weap_s\AK47\AK47SD_fire",1,1,400};
				begin2[] = {"\uns_weap_s\AK47\AK47SD_fire",1,1,400};
				soundBegin[] = {"begin1",0.33,"begin2",0.34};
			};
		};
	};
	class uns_akm_bayo: uns_akm
	{
		displayName = "AKM (bayo)";
		picture = "\uns_weap_e\uns_akm\ico\w_akm.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 105;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};
	class uns_akm_SD: uns_akm
	{
		displayName = "AKM (PBS-1)";
		picture = "\uns_weap_e\uns_akm\ico\w_akm_sd.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\XM8GL.rtm"};
		descriptionShort = "AKM 7.62mm Assault Rifle with PBS-1 suppressor.";
		inertia = 0.6;
		dexterity = 1.5;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 110;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "CowsSlot";
				item = "uns_s_PBS1";
			};
		};
	};
	class uns_akm_drum: uns_akm
	{
		displayName = "AKM (Drum)";
//		model = "\uns_weap_e\akm\uns_akm_75";
		model = "\uns_weap_e\uns_akm\uns_akm_w_75";
		picture = "\uns_weap_e\uns_akm\ico\w_akm_drum.paa";
		magazines[] = {"uns_75Rnd_akdr","uns_ak47mag","uns_ak47mag_T","uns_ak47mag_NT"};
		reloadMagazineSound[] = {"\uns_weap_s\AK47\AK47drum_reload",1,1,10};
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\akm\uns_akm75.rtm"};
		descriptionShort = "AKM 7.62mm Heavy Assault Rifle with 75-round drum magazine.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 130;
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
		magazineReloadTime = 3.8;
		recoil = "uns_recoil_akd";
		maxRecoilSway = 0.01;
		swayDecaySpeed = 1.2;
		inertia = 0.7;
		dexterity = 1.3;
	};
	class uns_akms: uns_akm
	{
		displayName = "AKMS";
//		model = "\uns_weap_e\akm\uns_akms";
		model = "\uns_weap_e\uns_akm\uns_akm_s";
		picture = "\uns_weap_e\uns_akm\ico\w_akms.paa";
		descriptionShort = "AKMS 7.62mm Assault Rifle with folding wire stock.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 90;
		};
		recoil = "uns_recoil_aks";
		maxRecoilSway = 0.015;
		swayDecaySpeed = 1.5;
		inertia = 0.45;
		dexterity = 1.65;
	};
	class uns_akms_bayo: uns_akms
	{
		displayName = "AKMS (bayo)";
		picture = "\uns_weap_e\uns_akm\ico\w_akms.paa";// need new bayo pic
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 95;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_6H3";
			};
		};
	};
	class uns_akms_SD: uns_akms
	{
		displayName = "AKMS (PBS-1)";
		picture = "\uns_weap_e\uns_akm\ico\w_akms_SD.paa";
//		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\XM8GL.rtm"};
		descriptionShort = "AKMS 7.62mm Assault Rifle with folding wire stock and PBS-1 suppressor.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "CowsSlot";
				item = "uns_s_PBS1";
			};
		};
		maxRecoilSway = 0.015;
		swayDecaySpeed = 1.5;
		inertia = 0.55;
		dexterity = 1.55;
	};
	class uns_akmsf: uns_akms
	{
		displayName = "AKMS (folded)";
//		model = "\uns_weap_e\akm\uns_akmsf";
		model = "\uns_weap_e\uns_akm\uns_akm_sf";
		picture = "\uns_weap_e\uns_akm\ico\w_akmsf.paa";
		descriptionShort = "AKMS 7.62mm Assault Rifle with folded wire stock.";
		maxRecoilSway = 0.02;
		swayDecaySpeed = 1.7;
		inertia = 0.4;
		dexterity = 1.7;
	};
	class uns_akmsf_SD: uns_akmsf
	{
		displayName = "AKMS (folded/PBS-1)";
		picture = "\uns_weap_e\uns_akm\ico\w_akmsf_sd.paa";
//		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\XM8GL.rtm"};
		descriptionShort = "AKMS 7.62mm Assault Rifle with folded wire stock and PBS-1 suppressor.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "CowsSlot";
				item = "uns_s_PBS1";
			};
		};
		maxRecoilSway = 0.018;
		swayDecaySpeed = 1.6;
		inertia = 0.5;
		dexterity = 1.6;
	};
//drums - no bayonets as too heavy to use
	class uns_akms_drum: uns_akms
	{
		displayName = "AKMS (Drum)";
//		model = "\uns_weap_e\akm\uns_akms_75";
		model = "\uns_weap_e\uns_akm\uns_akm_s_75";
		picture = "\uns_weap_e\uns_akm\ico\w_akms_drum.paa";
		magazines[] = {"uns_75Rnd_akdr","uns_ak47mag","uns_ak47mag_T","uns_ak47mag_NT"};
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\akm\uns_akm75.rtm"};
		reloadMagazineSound[] = {"\uns_weap_s\AK47\AK47drum_reload",6,1,10};
		descriptionShort = "AKMS 7.62mm Heavy Assault Rifle with folding wire stock and 75-round drum magazine.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 120;
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
		recoil = "uns_recoil_akd";
		magazineReloadTime = 3.8;
		maxRecoilSway = 0.01;
		swayDecaySpeed = 1.2;
		inertia = 0.7;
		dexterity = 1.3;
	};
	class uns_akms_SD_drum: uns_akms_drum
	{
		displayName = "AKMS (Drum/PBS-1)";
		picture = "\uns_weap_e\uns_akm\ico\w_akms_sd_drum.paa";
		descriptionShort = "AKMS 7.62mm Heavy Assault Rifle with folding wire stock, PBS-1 suppressor and 75-round drum.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 130;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "CowsSlot";
				item = "uns_s_PBS1";
			};
		};
		inertia = 0.8;
		dexterity = 1.2;
	};
	class uns_akmsf_drum: uns_akms_drum
	{
		displayName = "AKMS (folded/Drum)";
//		model = "\uns_weap_e\akm\uns_akmsf_75";
		model = "\uns_weap_e\uns_akm\uns_akm_sf_75";
		picture = "\uns_weap_e\uns_akm\ico\w_akmsf_drum.paa";
		descriptionShort = "AKMS 7.62mm Heavy Assault Rifle with folded wire stock and 75-round drum magazine.";
		maxRecoilSway = 0.02;
		swayDecaySpeed = 1.8;
		inertia = 0.6;
		dexterity = 1.4;
	};
	class uns_akmsf_SD_drum: uns_akmsf_drum
	{
		displayName = "AKMS (folded/Drum/PBS-1)";
		picture = "\uns_weap_e\uns_akm\ico\w_akmsf_sd_drum.paa";
		descriptionShort = "AKMS 7.62mm Heavy Assault Rifle with folded wire stock, PBS-1 suppressor and 75-round drum.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 130;
		};
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "CowsSlot";
				item = "uns_s_PBS1";
			};
		};
		inertia = 0.7;
		dexterity = 1.3;
	};
	class uns_svt: Uns_Rifle762
	{
		scope = 2; scopeArsenal = 2;
		displayName = "SVT-40";
		model = "\uns_weap_e\svt40\uns_svt40";
		picture = "\uns_weap_e\svt40\ico\w_svt.paa";
		magazines[] = {"uns_svtmag","uns_svtmag_T"};
		handanim[] = {"OFP2_ManSkeleton", "\uns_weap_a\bis\M24.rtm"};
		reloadaction = "HLC_GestureReloadm14";
		dexterity = 1.57;
		recoil = "uns_recoil_ak";
//		recoil = "uns_recoil_svd";
		descriptionShort = "SVT-40 7.62mm semi-automatic rifle with 10 round mag.";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		vn_melee_bayonet_startpos[] = {-0.03,0.3,-0.02};
		class Library
		{
			libtextdesc = "The Tokarev SVT-40 self-loading rifle is a 7.62mm semi-automatic rifle, developed in the former Soviet Union in 1940. It was withdrawn from soviet service by 1955 and surplus models were shipped to Vietnam via Cambodia's Sihanoukville Port during the Vietnam War.";
		};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 110;
			class MuzzleSlot: MuzzleSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class CowsSlot: CowsSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.45,0.38};
				iconScale = 0.2;
			};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
//sounds to do sav
		drySound[] = {"\uns_weap_s\svd\svd_dry",1,1,10};
		reloadMagazineSound[] = {"\uns_weap_s\svd\svd_reload",1,1,30};
		modes[] = {"Single","AImode1","AImode2"};
		class Single: Single
		{
			sounds[] = {"StandardSound"};
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\svd\svd_fire",2,0.99,1200};
				begin2[] = {"\uns_weap_s\svd\svd_fire",2,1,1200};
				soundBegin[] = {"begin1",0.5,"begin2",0.5};
			};
			reloadTime = 0.18;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			dispersion = 0.0025;
			minRange = 2;
			minRangeProbab = 0.1;
			midRange = 250;
			midRangeProbab = 0.7;
			maxRange = 600;
			maxRangeProbab = 0.2;
			aiRateOfFire = 4.0;
		};
		// class AImode1: Mode_SemiAuto
		class AImode1: Single
		{
			reloadTime = 0.18;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.01;
			minRange = 0.1;
			minRangeProbab = 0.6;
			midRange = 30;
			midRangeProbab = 0.7;
			maxRange = 70;
			maxRangeProbab = 0.2;
			showToPlayer = 0;
			aiRateOfFire = 9.0;
			aiRateOfFireDistance = 1300;
		};
		class AImode2: AImode1
		{
			reloadTime = 0.18;
			recoil = "recoil_single_primary_7outof10";
			recoilProne = "recoil_single_primary_prone_6outof10";
			burst = 1;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.01;
			minRange = 50;
			minRangeProbab = 0.5;
			midRange = 250;
			midRangeProbab = 0.7;
			maxRange = 500;
			maxRangeProbab = 0.2;
			showToPlayer = 0;
			aiRateOfFire = 9.0;
			aiRateOfFireDistance = 1300;
		};
	};
	class uns_STG_44: Uns_Rifle762
	{
		scope = 2; scopeArsenal = 2;
		displayName = "StG-44";
		model = "\uns_weap_e\uns_stg44\uns_stg44";
		picture = "\uns_weap_e\uns_stg44\ico\w_stg44.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\bis\XM8GL.rtm"};
		reloadAction = "HLC_GestureReloadFALLONG";
		magazines[] = {"uns_30Rnd_Kurtz_STG"};
		descriptionShort = "Sturmgewehr 44 (StG44) 7.92mm German assault rifle";
		weaponInfoType = "vn_melee_zeroing_overwrite";
		vn_melee_bayonet_startpos[] = {-0.03,0.3,-0.02};
		class Library
		{
			libtextdesc = "The SturmGewehr 44 (StG44) is an assault rifle developed in Germany during WWII. It is chambered in 7.92x33mm and has selective fire.  The Russians copied the design when making the AK-47 after WWII.  The Viet Cong used a variety of WWII weapons early in the conflict, either inherited from the Viet Minh, captured on the battlefield, or received from the north via Chinese or Soviet donors.";
		};
		inertia = 0.4;
		dexterity = 1.6;
		recoil = "uns_recoil_ak";
		discreteDistance[] = { 200, 100, 200, 300, 400, 500, 600, 700, 800, 900, 1000 };
		discreteDistanceCameraPoint[] = { "eye", "eye_100", "eye_200", "eye_300", "eye_400", "eye_500", "eye_600", "eye_700", "eye_800", "eye_900", "eye_1000"};
		cameraDir = "eye_look";
		maxZeroing = 1000;
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
			class MuzzleSlot{};
			class CowsSlot{};
			class PointerSlot{};
		};
//sounds
		drysound[] = {"\uns_weap_s\stg44\stg44_dry",1,1,20};
		reloadMagazineSound[] = {"\uns_weap_s\stg44\stg44_reload",1,1,20};
		modes[] = {"single","FullAuto","AImode1","AImode2","AImode3","AImode4"};
		class Single: Single
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\stg44\stg44_fire",2,1,1200};
				soundBegin[] = {"begin1",0.34};
			};
			reloadTime = 0.128;
			dispersion = 0.0045;
			recoil = "recoil_single_dmr";
			recoilProne = "recoil_single_prone_dmr";
			minRange = 2;
			minRangeProbab = 0.3;
			midRange = 350;
			midRangeProbab = 0.7;
			maxRange = 500;
			maxRangeProbab = 0.05;
		};
		class FullAuto: FullAuto
		{
			class StandardSound: StandardSound
			{
				begin1[] = {"\uns_weap_s\stg44\stg44_fire",2,1,1200};
				begin2[] = {"\uns_weap_s\stg44\stg44_fire",2,1,1200};
				soundBegin[] = {"begin1",0.34,"begin2",0.33};
			};
			reloadTime = 0.128;
			dispersion = 0.003;
			recoil = "recoil_auto_dmr";
			recoilProne = "recoil_auto_prone_dmr";
			minRange = 0;
			minRangeProbab = 0.9;
			midRange = 15;
			midRangeProbab = 0.7;
			maxRange = 30;
			maxRangeProbab = 0.05;
			aiRateOfFire = 0.001;
		};
		class AImode1: FullAuto
		{
			soundBurst = 0;
			burst = 3;
			aiDispersionCoefY = 1.0;
			aiDispersionCoefX = 1.0;
			dispersion = 0.015;
			minRange = 0.1;
			minRangeProbab = 0.9;
			midRange = 25;
			midRangeProbab = 0.85;
			maxRange = 50;
			maxRangeProbab = 0.8;
			aiRateOfFire = 1.1;
			aiRateOfFireDistance = 50;
			showToPlayer = 0;
		};
		class AImode2: AImode1
		{
			soundBurst = 0;
			burst = 6;
			minRange = 50;
			midRange = 75;
			maxRange = 100;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 100;
		};
		class AImode3: AImode1
		{
			soundBurst = 0;
			burst = 8;
			minRange = 100;
			midRange = 130;
			maxRange = 150;
			aiRateOfFire = 1.2;
			aiRateOfFireDistance = 150;
		};
		class AImode4: AImode1
		{
			soundBurst = 0;
			burst = 10;
			minRange = 150;
			midRange = 180;
			maxRange = 220;
			aiRateOfFire = 2;
			aiRateOfFireDistance = 220;
		};
	};