	class uns_ithaca37: uns_Shotgun
	{
		scope = 2;
		scopeArsenal = 2;
		displayName = "Shotgun (Ithaca 37)";
		model = "\uns_weap_w\uns_ithaca_m1937\uns_ithaca_m1937";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\uns_shotgun2\uns_m870.rtm"};
		picture = "\uns_weap_w\ithaca37\ico\w_ithaca37.paa";
		magazines[] = {"uns_12gaugemag_4","uns_12gaugemag_4f","uns_12gaugemag_2"};
		descriptionShort = "Ithaca model 1937 12g Shotgun, 4 round mag, capable of slam-firing.";
		modes[] = {"Auto"};
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			class CowsSlot {};
			class MuzzleSlot {};
 			class PointerSlot{};
		};
		class Auto: Mode_FullAuto
		{
			reloadTime = 0.6;
			dispersion = 0.003;
			minRange = 2;
			minRangeProbab = 0.9;
			midRange = 60;
			midRangeProbab = 0.7;
			maxRange = 120;
			maxRangeProbab = 0.1;
			aiRateOfFire = 3;
			aiRateOfFireDistance = 120;
			recoil = "recoil_single_gm6";
			recoilProne = "recoil_single_prone_gm6";
			sounds[] = {"StandardSound"};
			class StandardSound
			{
				soundsetshot[] = {"ithaca_Shot_SoundSet","ithaca_tail_SoundSet"}; 
			};
		};
		
	};
	class uns_ithaca37_grip: uns_ithaca37
	{
		displayName = "Shotgun (Ithaca 37/grip)";
		model = "\uns_weap_w\ithaca37\uns_ithaca37_pistol";
		picture = "\uns_weap_w\ithaca37\ico\w_ithaca37_grip.paa";
		handAnim[] = {"OFP2_ManSkeleton","\uns_weap_a\uns_shotgun2\uns_ithaca_pistol.rtm"};
		descriptionShort = "Ithaca Model 1937 12g Shotgun with pistol grip, 4 round mag, capable of slam-firing.";
	};
	class uns_m870: Uns_Shotgun
	{
		scope = 2; scopeArsenal = 2;
		displayName = "Shotgun (M870 Express)";
		model = "\uns_weap_w\m870\uns_m870";
		picture = "\uns_weap_w\m870\ico\w_m870.paa";
		descriptionShort = "Remington Model 870 Express 12g shotgun, 8 round mag.";
		magazines[] = {"uns_m870mag","uns_12gaugemag_6","uns_12gaugemag_6f","uns_12gaugemag_4","uns_12gaugemag_4f","uns_12gaugemag_2"};
		magazineReloadTime = 10;//was 7, 10 is better for the shell anims to play well
//sounds
//		reloadaction = "HLC_GestureReloadM1903A1_UN";
		drySound[] = {"\uns_weap_s\m870\m870_dry",1,1,10};
//		reloadMagazineSound[] = {"\uns_weap_s\m870\m870_reload",1,1,25};
		class Single: Single
		{
			class StandardSound
			{
				soundsetshot[] = {"870_Shot_SoundSet","870_tail_SoundSet"}; 
			};
		};
	};
	class uns_m870_mk1: uns_m870
	{
		displayName = "Shotgun (M870 Mk1)";
		model = "\uns_weap_w\m870\uns_m870_mk1";
		picture = "\uns_weap_w\m870\ico\w_m870_mk1.paa";
		descriptionShort = "USMC Remington Model 870 Mk1 12g shotgun, with bayonet lugs, sling and rifle sights, 8 round mag.";
		class WeaponSlotsInfo: WeaponSlotsInfo
		{
			mass = 100;
			class MuzzleSlot {};
			class CowsSlot {};
			class PointerSlot: PointerSlot
			{
				compatibleItems[] = {"uns_b_m7"};
				iconPosition[] = {0.35,0.5};
				iconScale = 0.25;
			};
		};
	};
	class uns_m870_mk1_bayo: uns_m870_mk1
	{
		displayName = "Shotgun (M870 Mk1/bayo)";
		picture = "\uns_weap_w\m870\ico\w_m870_mk1_bayo.paa";
		descriptionShort = "USMC Remington Model 870 Mk1 shotgun, with M7 bayonet, sling and rifle sights";
		class LinkedItems
		{
			class LinkedItemsAcc
			{
				slot = "PointerSlot";
				item = "uns_b_M7";
			};
		};
	};
